<?php
include( 'inc/template.php' );

// Function to handle main operations
//function main() {
//	global $conn;
	
	?>

	

	<div class="container-fluid flex-grow-1 container-p-y">
		<h4 class="py-0 mb-2"><span class="text-muted fw-light"><?php echo isset($_GET['id']) ? 'Update Appointment' : 'Add New Appointment'; ?></span></h4>
		<button type="button" class="btn btn-sm btn-primary" onclick="window.location.href='appointment_list.php';">
    <span class="ti-xs ti ti-chevron-left me-1"></span> Back to List
</button>
	
<?php $result = $conn->query("SELECT DoctorID , DayOfWeek, ShiftNumber,StartTime,EndTime,AppointmentInterval FROM Doctorschedules ORDER BY DayOfWeek ASC");
      $row = $result->fetch_assoc()
?>

		<div class="card mb-4">
<script type="text/javascript" src="ckeditor/ckeditor.js"></script>
			<form class="card-body" method="post" enctype="multipart/form-data">
    <div class="row g-3">
      <input type="hidden" name="doctor_id" id="doctor_id" value="<?php echo ($_SESSION['Role'] == 'Doctor') ? $UserId : $DoctorID; ?>" />
        <div class="col-md-12">
    <label class="form-label" for="PatientID">Patient Name</label>
     <select name="patient_id" id="patient_id" required class="select2 form-select form-select-lg" data-allow-clear="true" required>
    <option value="">search patient no or name...</option>
    <?php
    // Assuming the Patients table contains the columns PatientID, PatientName, and UniqueID
    $result = $conn->query("SELECT PatientID, PatientName, UniqueID FROM Patients WHERE Status = 'Active' ORDER BY PatientName ASC");
    while ($row = $result->fetch_assoc()) {
        // Here, make sure to display UniqueID as well along with PatientName
        echo '<option value="' . $row['PatientID'] . '">' . htmlspecialchars($row['UniqueID']) . ' - ' . htmlspecialchars(ucwords(strtolower($row['PatientName']))) . '</option>';
    }
    ?>
</select>

    
</div>

        <div class="col-md-3">
            <label class="form-label" for="Date">Appointment Date</label>
            
            <input type="date" id="Date" name="Date" class="form-control" required min="<?php echo date('Y-m-d'); ?>" />
        </div>
		<?php
// Fetch booked appointment times
$result = $conn->query("SELECT DoctorID,Date,Time FROM Appointments");
$bookedschedules = [];
while ($row = $result->fetch_assoc()) {
    $bookedschedules[] = $row;
}

// Fetch doctor schedules
$result = $conn->query("SELECT DoctorID, DayOfWeek, ShiftNumber, StartTime, EndTime, AppointmentInterval FROM Doctorschedules ORDER BY DayOfWeek ASC");
$schedules = [];
while ($row = $result->fetch_assoc()) {
    $schedules[] = $row;
}
?>

<div class="col-md-3">
    <label class="form-label" for="Time">Appointment Time</label>
    <select id="Time" name="Time" class="form-control" required>
        <option value="">Select a time slot</option>
    </select>
</div>

<script>
  // Map numeric days (0-6) to string days
const dayMapping = ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];

// Data from PHP
const schedules = <?php echo json_encode($schedules); ?>;
const bookedSchedules = <?php echo json_encode($bookedschedules); ?>;

function populateTimeSlots() {
    const currentDay = dayMapping[new Date().getDay()]; // Get the current day as a string
    const timeDropdown = document.getElementById("Time");
    timeDropdown.innerHTML = '<option value="">Select a time slot</option>'; // Reset options

    const now = new Date(); // Current date and time

    schedules.forEach((schedule) => {
        if (schedule.DayOfWeek === currentDay) {
            const startTime = new Date(`1970-01-01T${schedule.StartTime}`);
            const endTime = new Date(`1970-01-01T${schedule.EndTime}`);
            const interval = parseInt(schedule.AppointmentInterval);

            let currentTime = startTime;
            while (currentTime < endTime) {
                const timeString = currentTime.toTimeString().slice(0, 5); // Format as HH:mm
                
                // Check if the time slot is in the past
                const todaySlotTime = new Date(
                    now.getFullYear(),
                    now.getMonth(),
                    now.getDate(),
                    currentTime.getHours(),
                    currentTime.getMinutes()
                );
                
                if (todaySlotTime >= now) { // Only add future or current time slots
                    const option = document.createElement("option");
                    option.value = timeString;
                    option.textContent = timeString;

                    // Check if this time slot is booked
                    const isBooked = bookedSchedules.some(
                        (booked) =>
                            booked.DoctorID === schedule.DoctorID &&
                            booked.Time === timeString
                    );

                    if (isBooked) {
                        option.disabled = true; // Disable the option
                        option.style.color = "red"; // Set a different color for booked slots
                    }

                    timeDropdown.appendChild(option);
                }

                currentTime = new Date(currentTime.getTime() + interval * 60000); // Increment by interval
            }
        }
    });
}

// Call the function on page load
window.onload = populateTimeSlots;



</script>
       

        
        <div class="col-md-2">
            <label class="form-label" for="IsPaid">Is Paid</label>
            <select class="form-select" id="IsPaid" name="IsPaid">
             <option value="0">No</option>
            <option value="1">Yes</option>
            </select>
        </div>
        <div class="col-md-4" id="IsPaidGroupDiv">
            <label class="form-label" for="TransactionID">Transaction ID</label>
			 <input type="text" name="TransactionID" id="TransactionID" class="form-control" />
            
        </div>
        <div class="col-md-4">
            <label class="form-label" for="Status">Status</label>
			<select class="form-select" id="Status" name="Status">
				 
				<option value="Not Visited">Not Visited</option>
                <option value="Visited">Visited</option>
              <option value="Cancelled">Cancelled</option>
            <option value="Rescheduled">Rescheduled</option>
            </select>
            
        </div>
        <?php /*?><div class="col-md-4" id="StatusGroupDiv">
            <label class="form-label" for="IsPaid">Rescheduled Appointment ID</label>
			 <!--<input type="text" name="RescheduledAppointmentID" id="RescheduledAppointmentID" class="form-control" />-->
			<select id="rescheduled_appointment_id" name="rescheduled_appointment_id" class="form-select">
                                <option value="">Select Rescheduled Appointment</option>
                                <?php
                                $result = $conn->query("SELECT AppointmentID FROM Appointments ORDER BY AppointmentID ASC");
                                while ($row = $result->fetch_assoc()) {
                                    echo '<option value="' . $row['AppointmentID'] . '">' . htmlspecialchars($row['AppointmentID']) . '</option>';
                                }
                                ?>
                            </select>

            
        </div><?php */?>
        
    </div>
    <div class="pt-4">
        <input type="hidden" name="useridnew" id="useridnew" value="<?php echo $UserId; ?>" />
        <input type="hidden" id="rolenew" name="rolenew" value="<?php echo $Role; ?>">
        <input type="hidden" id="upd" value="<?php echo isset($_GET['id']) ? $_GET['id'] : ''; ?>">
        <input type="hidden" name="id" id="id">
        <input type="hidden" name="action" id="action" value="<?php echo isset($_GET['id']) ? 'Update' : 'Create'; ?>">
        <button type="submit" class="btn btn-primary me-2"><?php echo isset($_GET['id']) ? 'Update' : 'Save'; ?></button>
        <button type="reset" class="btn btn-label-secondary">Cancel</button>
    </div>
</form>


		</div>
	</div>

<script src="assets/js/jquery.min.js"></script>
<link rel="stylesheet" href="iadmin/assets/toastr.min.css">
<script src="iadmin/assets/toastr.min.js"></script>

<script>
$(document).ready(function () {
    // Handle form submission
    $('form.card-body').on('submit', function (event) {
        event.preventDefault(); // Prevent default form submission

        // Collect form data
        var formData = {
           // JoiningDate: $('#JoiningDate').val(),
            DoctorID: $('#doctor_id').val(),
            PatientID: $('#patient_id').val(),
            Date: $('#Date').val(),
            Time: $('#Time').val(),
            IsPaid: $('#IsPaid').val(),
            TransactionID: $('#TransactionID').val(),
            Status: $('#Status').val(),
			RescheduledAppointmentID: $('#RescheduledAppointmentID').val(),
            id: $('#id').val(),
            //branchidnew: $('#branchidnew').val(),
            useridnew: $('#useridnew').val(),
            rolenew: $('#rolenew').val(),
            action: $('#action').val(),
        };

        // Validate required fields
        if (!formData.DoctorID || !formData.PatientID) {
            toastr.error('Doctor, Patient are required.');
            return;
        }

        // Create a FormData object to handle file uploads
        var formDataObj = new FormData();
        for (const key in formData) {
            formDataObj.append(key, formData[key]);
        }

        // AJAX request
        $.ajax({
		url: 'appointment_action.php', // Adjust to your server endpoint
		method: 'POST',
		data: formDataObj,
		contentType: false, // Needed for FormData
		processData: false, // Prevent jQuery from automatically processing data
		success: function (response) {
        // Ensure the response is parsed as JSON
        try {
            var res = typeof response === 'string' ? JSON.parse(response) : response;

            if (res.status === 'Create') {
                toastr.success('Record created successfully.');
                setTimeout(function () {
                    window.location.href = 'appointment_list.php'; // Redirect after success
                }, 1500);
            } else if (res.status === 'Update') {
                toastr.success('Record updated successfully.');
                setTimeout(function () {
                    window.location.href = 'appointment_list.php'; // Redirect after success
                }, 1500);
            } else if (res.status === 'Duplicate') {
                toastr.error('Duplicate entry: PatientID already exists.');
            } else if (res.status === 'Error') {
                toastr.error('Error: ' + (res.message || 'Unknown error occurred.'));
            } else {
                toastr.error('Unexpected response status: ' + res.status);
            }
        } catch (e) {
            toastr.error('Error parsing server response.');
            console.error('Parsing error:', e, 'Response:', response);
        }
    },
    error: function (xhr) {
        toastr.error('An error occurred while submitting the form.');
        console.error('AJAX error:', xhr.responseText);
    }
});

    });

    // Load form data for updating if `upd` parameter exists
    var upd = $('#upd').val();
    if (upd) {
        $.ajax({
            url: 'appointment_action.php', // Adjust to your server endpoint
            method: 'POST',
            data: { id: upd, action: 'Select' },
            dataType: 'json',
            success: function (data) {
                // Populate form fields
               // $('#JoiningDate').val(data.JoiningDate);
                $('#doctor_id').val(data.DoctorID);
                $('#patient_id').val(data.PatientID);
                $('#Date').val(data.Date);
                $('#Time').val(data.Time);
				$('#IsPaid').val(data.IsPaid);
				$('#TransactionID').val(data.TransactionID);
				$('#Status').val(data.Status);
				$('#RescheduledAppointmentID').val(data.RescheduledAppointmentID);
				
				$('#id').val(upd);
                $('#action').val('Update');
				 $('#IsPaid').trigger("change");
				
            },
            error: function () {
                toastr.error('Error fetching data for update.');
            },
        });
    }
	

	
	$('#IsPaid').change(function () {
        if ($(this).val() == "1") {
            $('#IsPaidGroupDiv').show();
            $('#TransactionID').attr('required', '');
            $('#TransactionID').attr('data-error', 'This field is required.');
        } else {
            $('#IsPaidGroupDiv').hide();
            $('#TransactionID').removeAttr('required');
            $('#TransactionID').removeAttr('data-error');
        }
    });

    // Trigger change event on page load to set initial state
    $('#IsPaid').trigger("change");
});
	
	$("#IsPaid").change(function () {
            if ($(this).val() == "1") {
                $('#IsPaidGroupDiv').show();
                $('#TransactionID').attr('required', '');
                $('#TransactionID').attr('data-error', 'This field is required.');
               
            } else {
                $('#IsPaidGroupDiv').hide();
                $('#TransactionID').removeAttr('required');
                $('#TransactionID').removeAttr('data-error');
                
            }

           
        });

        
        $("#IsPaid").trigger("change");
	


</script>

<script src="assets/js/form-wizard-numbered.js"></script>
    <script src="assets/js/form-wizard-validation.js"></script>

<?php include('inc/footer.php');?>
	<?php//}?>