<?php
include('inc/config.php'); // Include your database configuration

$term = $_GET['term'] ?? ''; // Get the search term
$searchTerm = mysqli_real_escape_string($conn, $term); // Sanitize input

// Query to fetch distinct medicine names, sorted in ascending order
$query = "SELECT DISTINCT MedicineName FROM Medicines WHERE MedicineName LIKE '%$searchTerm%' ORDER BY MedicineName ASC";
$result = mysqli_query($conn, $query);

$medicines = [];
while ($row = mysqli_fetch_assoc($result)) {
    // Capitalize each word in the medicine name
    $medicines[] = ucwords(strtolower($row['MedicineName']));
}

// Sort the results again in case of mixed capitalization in the database
natcasesort($medicines); // Sort array in case-insensitive natural order

echo json_encode(array_values($medicines)); // Re-index the array and return JSON response
mysqli_close($conn); // Close database connection
?>
