<?php
include( 'inc/template.php' );
// if ($Role === 'Employee') {
//     echo "<script>
//         $(document).ready(function() {
//             toastr.error('Employees cannot access the doctor page.');
//         });
//         setTimeout(function() {
//             window.location.href = 'index.php';
//         }, 3000); // Redirect after 3 seconds
//     </script>";
//     exit();
// }

?>


					<div class="container-fluid flex-grow-1 container-p-y">
						<h4 class="py-0 mb-2"><span class="text-muted fw-light">User List</h4>

						<button type="button" onClick="location.href = 'employee_add.php';" class="btn btn-sm btn-primary waves-effect waves-light">
                            <span class="ti-xs ti ti-plus me-1"></span>Add New User
                          </button>
<!--<a href="admission_list.xls"><button  class="mb-1 mt-1 mr-1 btn btn-sm btn-info"><i class="ti-xs ti ti-file-download"></i> Export All</button> </a>
-->
						<!-- DataTable with Buttons -->
						<div class="card">
							<div class="card-datatable table-responsive pt-0">

								<table class="datatables-ajax table table-bordered table-responsive">
                        <thead>
                            <tr>
								<th>Date</th>
								<th>Emp Id</th>
                                <th>Name</th>
                                <th>Address</th>
                                <th>Mobile</th>
								<th>Email</th>
								<th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $result = mysqli_query($conn, "SELECT * FROM Employees WHERE DoctorID = '$UserId' ORDER BY EmployeeID DESC");
                            while ($row = mysqli_fetch_array($result)) {
                            ?>
                            <tr class="showtr">
								<td><?php echo htmlspecialchars(date('d-m-Y', strtotime($row['CreatedAt']))); ?></td>

								<td><?php echo htmlspecialchars($row['UniqueID']); ?></td>
								<td><?php echo htmlspecialchars(ucwords(strtolower($row['FirstName'] . ' ' . $row['LastName']))); ?></td>

								<td><?php echo htmlspecialchars($row['Address']); ?></td>
								<td><?php echo htmlspecialchars($row['Phone']); ?></td>
								<td><?php echo htmlspecialchars($row['Email']); ?></td>
                                
                                <td>
                                    <label class="switch">
                                        <input type="checkbox" class="switch-input" value="<?php echo $row[0]; ?>"
                                               <?php if ($row['Status'] == '1') echo "checked"; ?>
                                               onClick="statusChange(this.value);" />
                                        <span class="switch-toggle-slider">
                                            <span class="switch-on"></span>
                                            <span class="switch-off"></span>
                                        </span>
                                    </label>
                                </td>
                                <td>
									<button type="button" class="btn btn-xs btn-primary" onclick="window.location.href='employee_details.php?id=<?php echo $row['UniqueID']; ?>'">
  <i class="far fa-eye"></i>
</button>
									<button type="button" class="btn btn-xs btn-warning" onclick="window.location.href='employee_add.php?id=<?php echo $row[0]; ?>'">
  <i class="far fa-edit"></i>
</button>
                   				 <button type="button" id="<?php echo $row[0]; ?>" class="btn btn-xs btn-danger delete"><i class="far fa-trash-alt"></i></button>
                                   
                                </td>
                            </tr>
                            <?php } ?>
                        </tbody>
                    </table>
<script src="assets/js/jquery.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>


								<script>
$(document).ready(function () {
	
	 window.statusChange = function (id) {
        $.ajax({
            url: 'employee_action.php',
            method: 'POST',
            data: { id: id, action: 'StatusChange' },
            success: function (data) {
				if (data.status === '1') {
                toastr.success('Status Active Successfully');
				} else { 
				toastr.success('Status Inactive Successfully');
				}
            },
            error: function () {
                toastr.error('Error while updating status.');
            }

        });
    }

    


    // Handle delete action
    $(document).on('click', '.delete', function () {
    var id = $(this).attr("id");
    var row = $(this).closest('tr');
    if (confirm('Are you sure you want to delete this record?')) {
        $.ajax({
            url: 'employee_action.php',
            method: 'POST',
            data: { id: id, action: 'Delete' },
            dataType: 'json', // Expect JSON response
            success: function (response) {
                console.log('Server Response:', response); // Log the response
                if (response.status === 'Delete') {
                    toastr.success(response.message);
                    row.css('background-color', '#63ba8f').fadeOut(800, function() {
                        $(this).remove();
                    });
                } else {
                    toastr.error(response.message);
                }
            },
            error: function () {
                toastr.error('Error while deleting record.');
            }
        });
    }
});

});

</script>



							</div>
						</div>

						<!-- Multilingual -->

						<!--/ Multilingual -->
					</div>
				
<?php include('inc/footer.php');?>
	

				
