<?php
// Include database connection
include('inc/config.php');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    session_start(); // Start session if not already started

    // Fetch role and other variables
    $role = $_SESSION['Role'];
    $userId = $_SESSION['UserId']; // Assuming UserId is stored in the session
    $doctorId = isset($_POST['DoctorID']) ? $_POST['DoctorID'] : null;

    // Prepare query based on the role
   // if ($role === 'Doctor') {
        $query = "SELECT MedicineID, MedicineName FROM Medicines  ORDER BY MedicineName ASC";
    // } else {
    //     $query = "SELECT MedicineID, MedicineName FROM Medicines WHERE UserId = '$doctorId' AND UserRole = 'Doctor' ORDER BY MedicineName ASC";
    // }

    $result = $conn->query($query);
    if ($result->num_rows > 0) {
        $medicines = [];
        while ($row = $result->fetch_assoc()) {
            $medicines[] = [
                'id' => $row['MedicineID'],
                'name' => ucwords(strtolower($row['MedicineName']))
            ];
        }
        echo json_encode(['status' => 'success', 'medicines' => $medicines]);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'No medicines found.']);
    }
    exit;
} else {
    echo json_encode(['status' => 'error', 'message' => 'Invalid request method.']);
    exit;
}
?>
