<?php
include( 'inc/template.php' );

// Function to handle main operations
//function main() {
//	global $conn;
	
	?>


					<div class="container-fluid flex-grow-1 container-p-y">
						<h4 class="py-0 mb-2"><span class="text-muted fw-light">Appointment List</h4>

						<button type="button" onClick="location.href = 'appointment_add.php';" class="btn btn-sm btn-primary waves-effect waves-light">
                            <span class="ti-xs ti ti-plus me-1"></span>Add New Appointment
                          </button>
<!--<a href="admission_list.xls"><button  class="mb-1 mt-1 mr-1 btn btn-sm btn-info"><i class="ti-xs ti ti-file-download"></i> Export All</button> </a>
-->
						<!-- DataTable with Buttons -->
						<div class="card">
							<div class="card-datatable table-responsive pt-0">

					<table class="datatables-ajax table table-bordered table-responsive">
    <thead>
        <tr>
			 <th style="display: none"></th>
            <th>Doctor Name</th>
            <th>Patient Name</th>
            <th>Date</th>
            <th>Time</th>
            <th>Is Paid</th>
            <th>Transaction Id</th>
            <th>Status</th>
<!--            <th>Rescheduled ID</th>-->
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        <?php
		$ure=mysqli_query($conn,"select * from Appointments order by ABS(AppointmentID) desc");
			while($urow=mysqli_fetch_array($ure))
		    {
			$id=$urow[0];
			$no=1 + $nox++;
			$uupQry="UPDATE Appointments SET orderlist='$no' WHERE AppointmentID='$id'";
			$uuresult=mysqli_query($conn,$uupQry);
			} 
			
        $result = mysqli_query($conn, "SELECT Appointments.AppointmentID, Appointments.Date, Appointments.Time, Appointments.IsPaid, Appointments.TransactionID,
            Appointments.Status, Appointments.RescheduledAppointmentID, Doctors.Name AS DoctorName, Patients.PatientName 
            FROM Appointments 
            JOIN Doctors ON Appointments.DoctorID = Doctors.DoctorID 
            JOIN Patients ON Appointments.PatientID = Patients.PatientID 
            ORDER BY Appointments.AppointmentID desc");
			
        while ($row = mysqli_fetch_array($result)) {
        ?>
        <tr class="showtr">
			<td style="display: none"><?php echo $urow['orderlist']; ?></td>
            <td><?php echo htmlspecialchars(ucwords(strtolower($row['DoctorName']))); ?></td>
            <td><?php echo htmlspecialchars(ucwords(strtolower($row['PatientName']))); ?></td>
            <td><?php echo htmlspecialchars(date('d-m-Y', strtotime($row['Date']))); ?></td>
            <td><?php echo htmlspecialchars(date('h:i A', strtotime($row['Time']))); ?></td> <!-- Correct time format -->
            <td>
                <!-- Handling IsPaid logic -->
                <?php if ($row['IsPaid'] == 1) { ?>
                    <button type="button" class="btn btn-sm btn-label-success">Yes</button>
                <?php } else { ?>
                    <button type="button" class="btn btn-sm btn-label-danger">No</button>
                <?php } ?>
            </td>
            <td><?php echo htmlspecialchars($row['TransactionID']); ?></td>
            <td>
                <!-- Handling Status logic -->
                <?php 
                    $status = $row['Status'];
                    if ($status == 'Visited') {
                        echo '<button type="button" class="btn btn-sm btn-success">Visited</button>';
                    } elseif ($status == 'Cancelled') {
                        echo '<button type="button" class="btn btn-sm btn-danger">Cancelled</button>';
                    } elseif ($status == 'Not Visited') {
                        echo '<button type="button" class="btn btn-sm btn-warning">Not Visited</button>';
                    } elseif ($status == 'Rescheduled') {
                        echo '<button type="button" class="btn btn-sm btn-info">Rescheduled</button>';
                    }
                ?>
            </td>
            <?php /*?><td><?php echo htmlspecialchars($row['RescheduledAppointmentID']); ?></td><?php */?>
            <td>
              
                <button type="button" class="btn btn-xs btn-warning" onclick="window.location.href='appointment_edit.php?id=<?php echo $row['AppointmentID']; ?>'">
                    <i class="far fa-edit"></i>
                </button>
                <button type="button" id="<?php echo $row['AppointmentID']; ?>" class="btn btn-xs btn-danger delete">
                    <i class="far fa-trash-alt"></i>
                </button>
            </td>
        </tr>
        <?php } ?>
    </tbody>
</table>




								<script>
$(document).ready(function () {
	
	

    // Function to handle status change
    window.statusChange = function (id) {
        $.ajax({
            url: 'appointment_action.php',
            method: 'POST',
            data: { id: id, action: 'StatusChange' },
            success: function (data) {
				if (data.status === 'Active') {
                toastr.success('Status Active Successfully');
				} else { 
				toastr.success('Status Inactive Successfully');
				}
            },
            error: function () {
                toastr.error('Error while updating status.');
            }

        });
    }

    // Handle delete action
    $(document).on('click', '.delete', function () {
    var id = $(this).attr("id");
    var row = $(this).closest('tr');
    if (confirm('Are you sure you want to delete this record?')) {
        $.ajax({
            url: 'appointment_action.php',
            method: 'POST',
            data: { id: id, action: 'Delete' },
            dataType: 'json', // Expect JSON response
            success: function (response) {
                console.log('Server Response:', response); // Log the response
                if (response.status === 'Delete') {
                    toastr.success(response.message);
                    row.css('background-color', '#63ba8f').fadeOut(800, function() {
                        $(this).remove();
                    });
                } else {
                    toastr.error(response.message);
                }
            },
            error: function () {
                toastr.error('Error while deleting record.');
            }
        });
    }
});

});

</script>



							</div>
						</div>

						<!-- Multilingual -->

						<!--/ Multilingual -->
					</div>
					<?php //include('admission_export_excel.php')?>
<?php include('inc/footer.php');?>
	<?php//}?>

				
