<?php
include( 'inc/template.php' );

// Function to handle main operations
//function main() {
//	global $conn;
	
	?>

	

	<div class="container-fluid flex-grow-1 container-p-y">
		<h4 class="py-0 mb-2"><span class="text-muted fw-light"><?php echo isset($_GET['id']) ? 'Update Doctor' : 'Add New Doctor'; ?></span></h4>
		<button type="button" class="btn btn-sm btn-primary" onclick="window.location.href='doctors_list.php';">
    <span class="ti-xs ti ti-chevron-left me-1"></span> Back to List
</button>
	


		<div class="card mb-4">

			<form class="card-body" method="post" enctype="multipart/form-data">
				
				<div class="row g-3">
					<div class="col-md-6">
						<label class="form-label" for="multicol-username">Name</label>
						<input type="text" id="Name" name="Name" class="form-control"/>

					</div>
					<div class="col-md-6">
						<label class="form-label" for="multicol-email">Phone</label>
						<input type="tel" id="Phone" name="Phone" class="form-control" pattern="\d{10}" maxlength="10" inputmode="numeric" oninput="this.value=this.value.replace(/[^0-9]/g,'');" required/>
					</div>
					<div class="col-md-6">
						<label class="form-label" for="multicol-username">Email</label>
						<input type="email" id="Email" name="Email" class="form-control" required/>
					</div>
					<div class="col-md-6">
						<label class="form-label" for="multicol-username">Address</label>
						<textarea id="Address" name="Address" class="form-control"></textarea>
					</div>
					<div class="col-md-6">
						<label class="form-label" for="multicol-username">Degree</label>
						<input type="text" id="Degree" name="Degree" class="form-control"  />
					</div>
					<div class="col-md-6">
						<label class="form-label" for="multicol-username">Clinic Name</label>
						<input type="text" id="ClinicName" name="ClinicName" class="form-control"  />
					</div>
					
					<div class="col-md-6">
						<label class="form-label" for="multicol-email">Remarks</label>

						<input type="text" id="ExtraField1" name="ExtraField1"  class="form-control"/>

					</div>
					<div class="col-md-3">
						<label class="form-label" for="multicol-email">Username</label>

						<input type="text" id="username" name="username" class="form-control" 
                    oninput="this.value = this.value.replace(/\s/g, '');" placeholder="Enter Username" maxlength="20" required />

					</div>
					<div class="col-md-3" <?php echo isset($_GET['id']) ? 'style="display: none;"' : ''; ?>>
						

						<div class="form-password-toggle">
                                        <label class="form-label" for="formValidationPass">Password</label>
                                        <div class="input-group input-group-merge">
                                            <input class="form-control" type="password" onKeyPress="return AvoidSpace(event)"
                                                id="formValidationPass" name="adminpassword"
                                                placeholder="&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;"
                                                maxlength="20" required />
                                            <span class="input-group-text cursor-pointer" id="multicol-password2"><i
                                                    class="ti ti-eye-off"></i></span>
                                        </div>
                                    </div>

					</div>
					
					
					

					<div class="col-md-4">
						<label class="form-label" for="multicol-email">Profile Photo</label>

						 <input  type="file"  name="ProfilePhoto" id="ProfilePhoto" class="form-control" accept="image/png, image/jpeg, image/jpg" onchange="loadFile(event)"  />
							<script>
  														var loadFile = function(event) {
    													var output = document.getElementById('output');
    													output.src = URL.createObjectURL(event.target.files[0]);
    													output.onload = function() {
      													URL.revokeObjectURL(output.src) // free memory
    													}
  														};
													</script>								

					</div>
					<div class="col-md-3">
						

						<img id="output" src="" height="70" width="70" style="display: none;" />
														

					</div>
					

				</div>
				
				
				
				
				
				<div class="pt-4">
					<input type="hidden" id="upd" value="<?php echo isset($_GET['id']) ? $_GET['id'] : ''; ?>">
          <input type="hidden" name="id" id="id">
          <input type="hidden" name="action" id="action" value="<?php echo isset($_GET['id']) ? 'Update' : 'Create'; ?>">
          <button type="submit" class="btn btn-primary me-2"> <?php echo isset($_GET['id']) ? 'Update' : 'Save'; ?> </button>
					<button type="reset" class="btn btn-label-secondary">Cancel</button>
				</div>
			</form>
		</div>
	</div>




<script>
$(document).ready(function () {
    // Handle form submission
    $('form.card-body').on('submit', function (event) {
        event.preventDefault(); // Prevent default form submission

        // Collect form data
        var formData = {
            Name: $('#Name').val(),
            Phone: $('#Phone').val(),
            Email: $('#Email').val(),
            Address: $('#Address').val(),
            Degree: $('#Degree').val(),
            ClinicName: $('#ClinicName').val(),
            ExtraField1: $('#ExtraField1').val(),
            username: $('#username').val(),
            Password: $('#formValidationPass').val(),
            ProfilePhoto: $('#ProfilePhoto').prop('files')[0], // File input
            id: $('#id').val(),
            //branchidnew: $('#branchidnew').val(),
            //useridnew: $('#useridnew').val(),
            action: $('#action').val(),
        };

        // Validate required fields
        if (!formData.Name || !formData.Phone || !formData.Email || !formData.username || !formData.Password) {
            toastr.error('Name, Phone, Email,Username and Password are required.');
            return;
        }

        // Create a FormData object to handle file uploads
        var formDataObj = new FormData();
        for (const key in formData) {
            formDataObj.append(key, formData[key]);
        }

        // AJAX request
        $.ajax({
		url: 'doctors_action.php', // Adjust to your server endpoint
		method: 'POST',
		data: formDataObj,
		contentType: false, // Needed for FormData
		processData: false, // Prevent jQuery from automatically processing data
		success: function (response) {
        // Ensure the response is parsed as JSON
        try {
            var res = typeof response === 'string' ? JSON.parse(response) : response;

            if (res.status === 'Create') {
                toastr.success('Record created successfully.');
                setTimeout(function () {
                    window.location.href = 'doctors_list.php'; // Redirect after success
                }, 1500);
            } else if (res.status === 'Update') {
                toastr.success('Record updated successfully.');
                setTimeout(function () {
                    window.location.href = 'doctors_list.php'; // Redirect after success
                }, 1500);
            } else if (res.status === 'Duplicate') {
                toastr.error('Duplicate entry: Phone or Email already exists.');
            } else if (res.status === 'Error') {
                toastr.error('Error: ' + (res.message || 'Unknown error occurred.'));
            } else {
                toastr.error('Unexpected response status: ' + res.status);
            }
        } catch (e) {
            toastr.error('Error parsing server response.');
            console.error('Parsing error:', e, 'Response:', response);
        }
    },
    error: function (xhr) {
        toastr.error('An error occurred while submitting the form.');
        console.error('AJAX error:', xhr.responseText);
    }
});

    });

    // Load form data for updating if `upd` parameter exists
    var upd = $('#upd').val();
    if (upd) {
        $.ajax({
            url: 'doctors_action.php', // Adjust to your server endpoint
            method: 'POST',
            data: { id: upd, action: 'Select' },
            dataType: 'json',
            success: function (data) {
                // Populate form fields
                $('#Name').val(data.Name);
                $('#Phone').val(data.Phone);
                $('#Email').val(data.Email);
                $('#Address').val(data.Address);
                $('#Degree').val(data.Degree);
                $('#ClinicName').val(data.ClinicName);
                $('#username').val(data.Username);
                $('#ExtraField1').val(data.ExtraField1);
				$('#formValidationPass').val(data.Password);
                $('#id').val(upd);
                $('#action').val('Update');
				
				if (data.ProfilePhoto) {
                $('#output').attr('src', data.ProfilePhoto).show(); // Display the existing image
            } else {
                $('#output').attr('src', '').hide(); // Hide if no photo
            }
            },
            error: function () {
                toastr.error('Error fetching data for update.');
            },
        });
    }
});

</script>
<?php include('inc/footer.php');?>
	<?php//}?>