<?php
include( 'inc/template.php' );?>


					<div class="container-fluid flex-grow-1 container-p-y">
						<h4 class="py-0 mb-2"><span class="text-muted fw-light">Doctor List</h4>

						<button type="button" onClick="location.href = 'doctors_add.php';" class="btn btn-sm btn-primary waves-effect waves-light">
                            <span class="ti-xs ti ti-plus me-1"></span>Add New Doctor
                          </button>
<!--<a href="admission_list.xls"><button  class="mb-1 mt-1 mr-1 btn btn-sm btn-info"><i class="ti-xs ti ti-file-download"></i> Export All</button> </a>
-->
						<!-- DataTable with Buttons -->
						<div class="card">
							<div class="card-datatable table-responsive pt-0">

								<table class="datatables-ajax table table-bordered table-responsive">
                        <thead>
                            <tr>
								<th>Date</th>
								<th>Unique Id</th>
                                <th>Name</th>
                                <th>Address</th>
                                <th>Mobile</th>
								<th>Email</th>
								<th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $result = mysqli_query($conn, "SELECT * FROM Doctors ORDER BY DoctorID DESC");
                            while ($row = mysqli_fetch_array($result)) {
                            ?>
                            <tr class="showtr">
								<td><?php echo htmlspecialchars(date('d-m-Y', strtotime($row['RegisterDate']))); ?></td>

								<td><?php echo htmlspecialchars($row['UniqueID']); ?></td>
								<td><?php echo htmlspecialchars(ucwords(strtolower($row['Name']))); ?></td>
								<td><?php echo htmlspecialchars($row['Address']); ?></td>
								<td><?php echo htmlspecialchars($row['Phone']); ?></td>
								<td><?php echo htmlspecialchars($row['Email']); ?></td>
                                
                                <td>
                                    <label class="switch">
                                        <input type="checkbox" class="switch-input" value="<?php echo $row[0]; ?>"
                                               <?php if ($row['status'] == '1') echo "checked"; ?>
                                               onClick="statusChange(this.value);" />
                                        <span class="switch-toggle-slider">
                                            <span class="switch-on"></span>
                                            <span class="switch-off"></span>
                                        </span>
                                    </label>
                                </td>
                                <td>
									<button type="button" class="btn btn-xs btn-primary" onclick="window.location.href='doctors_details.php?id=<?php echo $row['UniqueID']; ?>'">
  <i class="far fa-eye"></i>
</button>
									<button type="button" class="btn btn-xs btn-warning" onclick="window.location.href='doctors_add.php?id=<?php echo $row[0]; ?>'">
  <i class="far fa-edit"></i>
</button>
                   				 <button type="button" id="<?php echo $row[0]; ?>" class="btn btn-xs btn-danger delete"><i class="far fa-trash-alt"></i></button>
                                   
                                </td>
                            </tr>
                            <?php } ?>
                        </tbody>
                    </table>


								<script>
$(document).ready(function () {
	
	 window.statusChange = function (id) {
        $.ajax({
            url: 'patient_action.php',
            method: 'POST',
            data: { id: id, action: 'StatusChange' },
            success: function (data) {
				if (data.status === '1') {
                toastr.success('Status Active Successfully');
				} else { 
				toastr.success('Status Inactive Successfully');
				}
            },
            error: function () {
                toastr.error('Error while updating status.');
            }

        });
    }

    // Function to handle status change
   window.statusChange = function (id) {
    $.ajax({
        url: 'doctors_action.php',
        method: 'POST',
        data: { id: id, action: 'StatusChange' },
        success: function (data) {
            try {
                // Ensure JSON parsing is successful
                const response = typeof data === 'string' ? JSON.parse(data) : data;

                // Check the response status
                if (response.status === 'Status Updated') {
                    const newStatusMessage = response.newStatus === 1 ? 'Active' : 'Inactive';
                    toastr.success(`Status ${newStatusMessage} Successfully`);
                } else {
                    toastr.error(response.message || 'Error while updating status.');
                }
            } catch (error) {
                console.error('Error parsing JSON:', error);
                toastr.error('Unexpected error occurred while updating status.');
            }
        },
        error: function (xhr, status, error) {
            console.error('AJAX Error:', status, error); // Log any AJAX errors
            toastr.error('Error while updating status.');
        }
    });
};


    // Handle delete action
    $(document).on('click', '.delete', function () {
    var id = $(this).attr("id");
    var row = $(this).closest('tr');
    if (confirm('Are you sure you want to delete this record?')) {
        $.ajax({
            url: 'doctors_action.php',
            method: 'POST',
            data: { id: id, action: 'Delete' },
            dataType: 'json', // Expect JSON response
            success: function (response) {
                console.log('Server Response:', response); // Log the response
                if (response.status === 'Delete') {
                    toastr.success(response.message);
                    row.css('background-color', '#63ba8f').fadeOut(800, function() {
                        $(this).remove();
                    });
                } else {
                    toastr.error(response.message);
                }
            },
            error: function () {
                toastr.error('Error while deleting record.');
            }
        });
    }
});

});

</script>



							</div>
						</div>

						<!-- Multilingual -->

						<!--/ Multilingual -->
					</div>
				
<?php include('inc/footer.php');?>
	

				
