<?php
include('inc/template.php');
?>



<div class="container-fluid flex-grow-1 container-p-y">
    <h4 class="py-0 mb-2"><span class="text-muted fw-light">Doctor Schedules List</span></h4>
    <button type="button" class="btn btn-sm btn-primary" data-bs-toggle="modal" data-bs-target="#basicModal">
        <span class="ti-xs ti ti-plus me-1"></span> Add New Doctor Schedules
    </button>

    <div class="row mb-4">
        <div class="modal fade" id="basicModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel1">Create New Record</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
	<form id="scheduleForm">
    <div class="modal-body">
        <!-- Doctor Selection -->
		
		<div class="col mb-3">
         <label for="doctor_id" class="form-label">Doctor Name</label>
        <select name="doctor_id" id="doctor_id" required class="select2 form-select form-select-lg" data-allow-clear="true" required>
        <option value="">Select Doctor</option>
           <?php     $result = $conn->query("SELECT DoctorID, Name FROM Doctors WHERE status = '1' ORDER BY Name ASC");
                    while ($row = $result->fetch_assoc()) {
                        echo '<option value="' . $row['DoctorID'] . '">' . htmlspecialchars(ucwords(strtolower($row['Name']))) . '</option>';

                    }
             ?>
            </select>

             </div>
		<div class="row">
         <div class="col mb-3">
         <label for="day_of_week" class="form-label">Day</label>
        <select id="day_of_week" name="day_of_week" class="form-select" required>
         <option value="">Select Day</option>
                    <option value="Monday">Monday</option>
                    <option value="Tuesday">Tuesday</option>
                    <option value="Wednesday">Wednesday</option>
                    <option value="Thursday">Thursday</option>
                    <option value="Friday">Friday</option>
                    <option value="Saturday">Saturday</option>
                    <option value="Sunday">Sunday</option>
            </select>
             </div>
          </div>
        <!-- Day of the Week -->
        
        <!-- Shift Number -->
        <div class="row">
            <div class="mb-3">
                <label for="shift_number" class="form-label">Shift Number</label>
                <select name="shift_number" id="shift_number" class="form-select" required>
        <option value="">Select Shift Number</option>
        <option value="1">Shift 1</option>
        <option value="2">Shift 2</option>
        <option value="3">Shift 3</option>
        <option value="4">Shift 4</option>
        <option value="5">Shift 5</option>
        <!-- Add more options as needed -->
    </select>
    <!--<input type="number" id="shift_number" name="shift_number" class="form-control" min="1" required />-->
            </div>
        </div>

        <!-- Start and End Time -->
        <div class="row">
    <div class="col-6 mb-3">
        <label for="start_time" class="form-label">Start Time</label>
        <select id="start_time" name="start_time" class="form-select" required>
            <option value="">select..</option>
            <?php
            // Generate time options from 9:30 AM to 8:00 PM
            $startTime = strtotime("12:00 AM");
            $endTime = strtotime("11:59 PM");
            while ($startTime <= $endTime) {
                $time = date("H:i", $startTime); // Format for value attribute (24-hour)
                $displayTime = date("h:i A", $startTime); // Format for display (12-hour with AM/PM)
                echo "<option value='$time'>$displayTime</option>";
                $startTime = strtotime("+30 minutes", $startTime); // Increment by 30 minutes
            }
            ?>
        </select>
    </div>
    <div class="col-6 mb-3">
        <label for="end_time" class="form-label">End Time</label>
        <select id="end_time" name="end_time" class="form-select" required>
            <option value="">select..</option>
            <?php
            // Generate time options from 9:30 AM to 8:00 PM
            $startTime = strtotime("12:00 AM");
            $endTime = strtotime("11:59 PM");
            while ($startTime <= $endTime) {
                $time = date("H:i", $startTime); // Format for value attribute (24-hour)
                $displayTime = date("h:i A", $startTime); // Format for display (12-hour with AM/PM)
                echo "<option value='$time'>$displayTime</option>";
                $startTime = strtotime("+30 minutes", $startTime); // Increment by 30 minutes
            }
            ?>
        </select>
    </div>
</div>



        <!-- Appointment Interval -->
        <div class="row">
            <div class="col mb-3">
                <label for="appointment_interval" class="form-label">Appointment Interval (minutes)</label>
                <select id="appointment_interval" name="appointment_interval" class="form-select" required>
    <option value="15">15 minutes</option>
    <option value="30">30 minutes</option>
    <option value="45">45 minutes</option>
    <option value="60">60 minutes</option>
</select>
<!--                <input type="number" id="appointment_interval" name="appointment_interval" class="form-control" min="5" step="5" required />-->

<!--				<script>-->
<!--				document.getElementById('appointment_interval').addEventListener('input', function (event) {-->
<!--    const value = event.target.value;-->
<!--    if (value % 5 !== 0) {-->
        
<!--        console.log("Value should be a multiple of 5");-->
<!--    }-->
<!--});-->

<!--				</script>-->
            </div>
        </div>
    </div>

    <!-- Hidden Fields and Submit Button -->
    <div class="modal-footer">
        <input type="hidden" name="useridnew" id="useridnew" value="<?php echo $UserId; ?>" />
        <input type="hidden" id="rolenew" name="rolenew" value="<?php echo $Role; ?>">
		<input type="hidden" name="id" id="id" />
        <input type="hidden" name="action" id="action" value="Create" />
        <button type="button" class="btn btn-label-secondary" data-bs-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary">Save changes</button>
    </div>
</form>

                    
                </div>
            </div>
        </div>

        <div class="col-xl-12 col-lg-6 col-md-6">
            <div class="card">
                <div class="card-datatable table-responsive pt-0">
                    <table class="datatables-ajax table table-bordered table-responsive">
                        <thead>
                            <tr>
								<th>Doctor Name</th>
                                <th>Day</th>
                                <th>Shift</th>
                                <th>Start Time</th>
                                <th>End Time</th>
								<th>Appointment Interval</th>
								<th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            
                            $result = mysqli_query($conn, "SELECT ds.ScheduleID,d.DoctorID, d.Name AS DoctorName, ds.DayOfWeek, ds.ShiftNumber, ds.StartTime, ds.EndTime, ds.AppointmentInterval FROM Doctorschedules ds JOIN Doctors d ON ds.DoctorID = d.DoctorID  ORDER BY ds.DayOfWeek ASC"); 
                            
                            
                            while ($row = mysqli_fetch_array($result)) {
							
                            ?>
                            <tr class="showtr">
								
                                <td><?php echo htmlspecialchars(ucwords(strtolower($row['DoctorName']))); ?></td>
                                <td><?php echo htmlspecialchars($row['DayOfWeek']); ?></td>
								<td><?php echo htmlspecialchars($row['ShiftNumber']); ?></td>
								<td><?php echo htmlspecialchars(date('h:i A', strtotime($row['StartTime']))); ?></td>
								<td><?php echo htmlspecialchars(date('h:i A', strtotime($row['EndTime']))); ?></td>

								<td><?php 
    if (isset($row['AppointmentInterval']) && !empty($row['AppointmentInterval'])) {
        echo htmlspecialchars($row['AppointmentInterval']) . ' min'; 
    } else {
        echo 'No interval set'; // Fallback message if the interval is blank
    }?></td>
								
								                                
                                <td>
									<button type="button" id="<?php echo $row[0]; ?>" class="btn btn-xs btn-warning update"><i class="far fa-edit"></i></button>
                   				 <button type="button" id="<?php echo $row[0]; ?>" class="btn btn-xs btn-danger delete"><i class="far fa-trash-alt"></i></button>
                                   
                                </td>
                            </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
$(document).ready(function () {
    // Open modal for creating new record
    $('#modal_button').click(function () {
        $('#basicModal').modal('show');
        $('#scheduleForm')[0].reset();  // Reset the schedule form fields
        $('.modal-title').text("Create New Schedule");
        $('#action').val('Create'); // Set default action to Create when modal opens for new schedule
        $('#id').val(''); // Reset id field
    });

    // Open modal for updating record (This would be for editing an existing schedule)
    $(document).on('click', '.update', function () {
        var id = $(this).attr("id");
        $.ajax({
            url: "doctorschedules_action.php", // Update with the correct URL for schedule actions
            method: "POST",
            data: { id: id, action: 'Select' }, // Send action to fetch existing schedule
            dataType: "json",
            success: function (data) {
                $('#basicModal').modal('show');
                $('#doctor_id').val(data.DoctorID).trigger('change');
                $('#day_of_week').val(data.DayOfWeek); // Pre-fill day of the week
                $('#shift_number').val(data.ShiftNumber);  // Pre-fill shift number
                $('#start_time').val(convertTo24HourFormat(data.StartTime));  // Convert and set start time
                $('#end_time').val(convertTo24HourFormat(data.EndTime));      // Convert and set end time
                $('#appointment_interval').val(data.AppointmentInterval);  // Pre-fill appointment interval

                $('#action').val('Update');
                $('.modal-title').text("Update Schedule");
                $('#id').val(id);
            },
            error: function () {
                toastr.error('Error fetching data.');
            }
        });
    });
    
    function convertTo24HourFormat(time) {
    var date = new Date('1970-01-01 ' + time); // Convert the time string into a Date object
    return date.toTimeString().split(' ')[0].substring(0, 5); // Extract the time in HH:MM format (24-hour)
}

    // Form submission for create/update
    $('#scheduleForm').on('submit', function (event) {
        event.preventDefault();  // Prevent the form from submitting the default way

        // Collect form data
        var doctor_id = $('#doctor_id').val();
        var day_of_week = $('#day_of_week').val();
        var shift_number = $('#shift_number').val();
        var start_time = $('#start_time').val();
        var end_time = $('#end_time').val();
        var appointment_interval = $('#appointment_interval').val();
        var useridnew = $('#useridnew').val();
        var rolenew = $('#rolenew').val();
        var action = $('#action').val();
        var id = $('#id').val();

        // Validate required fields
        if (doctor_id != '' && day_of_week != '' && shift_number != '' && start_time != '' && end_time != '' && appointment_interval != '') {
            // AJAX request to submit form data
            $.ajax({
                url: "doctorschedules_action.php",  // Update with correct URL for schedule actions
                method: "POST",
                data: {
                    doctor_id: doctor_id,
                    day_of_week: day_of_week,
                    shift_number: shift_number,
                    start_time: start_time,
                    end_time: end_time,
                    appointment_interval: appointment_interval,
                    useridnew: useridnew,
                    rolenew: rolenew,
                    action: action,
                    id: id
                },
                success: function(data) {
    $('#basicModal').modal('hide');
    console.log(data);
    
    var response = JSON.parse(data);  // Parse the JSON response
    
    if (response.status === 'success') {
        toastr.success(response.message);
        setTimeout(function () {
            location.reload(); // Reload the page to reflect changes
        }, 1500);
    } else {
        toastr.error(response.message); // Show the error message
    }
},
error: function() {
    toastr.error('Error while saving schedule.');
}

            });
        } else {
            toastr.error("All Fields are Required");
        }
    });


   
    // Handle delete action
    $(document).on('click', '.delete', function () { 
    var id = $(this).attr("id");  // Get the ID of the row
    var row = $(this).closest('tr');  // Find the closest row to the clicked element
    
    if (confirm('Are you sure you want to delete this record?')) {
        $.ajax({
            url: 'doctorschedules_action.php',
            method: 'POST',
            data: { id: id, action: 'Delete' },  // Sending the action as 'Delete'
            success: function (response) {
                var data = JSON.parse(response);  // Parse the JSON response
                
                if (data.status === 'success') {
                    toastr.success(data.message);  // Show success toast
                    
                    // Animate the row removal
                    row.css('background-color', '#63ba8f').fadeOut(800, function() {
                        $(this).remove();  // Remove the row from the table after animation
                    });
                } else {
                    toastr.error(data.message);  // Show error toast if delete fails
                }
            },
            error: function () {
                toastr.error('Error while deleting record.');  // Show generic error message
            }
        });
    }
});


});

</script>
<?php include('inc/footer.php');?>
	<?php//}?>

