<?php
include 'inc/config.php';

error_reporting(E_ALL);
ini_set('display_errors', 1);


if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['doctor_id'])) {
    $doctorId = intval($_POST['doctor_id']);
    $stmt = $conn->prepare("SELECT PatientID, PatientName,UniqueID FROM Patients WHERE DoctorID = ? AND Status = 'Active' ORDER BY UniqueID ASC");
    $stmt->bind_param("i", $doctorId);
    $stmt->execute();
    $result = $stmt->get_result();
    
    echo '<option value="">Select Patient</option>';
    while ($row = $result->fetch_assoc()) {
        echo '<option value="' . $row['PatientID'] . '">' . htmlspecialchars($row['UniqueID']) . ' - ' . htmlspecialchars(ucwords(strtolower($row['PatientName']))) . '</option>';
    }
    $stmt->close();
}
?>



