<?php
// Start the session
session_start();

// Unset all session variables
$_SESSION = array();

// Destroy the session
session_destroy();

// Delete the cookies, if any
if (isset($_COOKIE['UserId'])) {
    setcookie('UserId', '', time() - 3600, '/');
}

if (isset($_COOKIE['Role'])) {
    setcookie('Role', '', time() - 3600, '/');
}

// Output JavaScript to show toastr notification and redirect
echo "<!DOCTYPE html>
<html lang='en'>
<head>
    <meta charset='UTF-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1.0'>
    <title>Logout</title>
    <!-- Include Toastr CSS -->
    <link href='https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css' rel='stylesheet'>
</head>
<body>
    <!-- Include Toastr JS -->
    <script src='https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js'></script>
    <script src='https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js'></script>

    <script>
        // Show toastr notification for logout success
        toastr.success('You have been logged out successfully.');

        // Redirect to the login page after 3 seconds
        setTimeout(function() {
            window.location.href = 'index.php';
        }, 3000);
    </script>
</body>
</html>";

exit();
?>
