<?php
include( 'inc/template.php' );
?>


					<div class="container-fluid flex-grow-1 container-p-y">
						<h4 class="py-0 mb-2"><span class="text-muted fw-light">Patient List</h4>

						<button type="button" onClick="location.href = 'patient_add.php';" class="btn btn-sm btn-primary waves-effect waves-light">
                            <span class="ti-xs ti ti-plus me-1"></span>Add New Patient
                          </button>
<!--<a href="admission_list.xls"><button  class="mb-1 mt-1 mr-1 btn btn-sm btn-info"><i class="ti-xs ti ti-file-download"></i> Export All</button> </a>
-->
						<!-- DataTable with Buttons -->
						<div class="card">
							<div class="card-datatable table-responsive pt-0">

								<table class="datatables-ajax table table-bordered table-responsive">
                        <thead>
                            <tr>
								 <th style="display: none"></th>
								<th>Date</th>
								<th>Patient Id</th>
							    <th>Name</th>
                                <th>Dob</th>
								<th>Gender</th>
								<th>Last Visit Date</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ure=mysqli_query($conn,"select * from Patients order by ABS(PatientID) desc");
			while($urow=mysqli_fetch_array($ure))
		    {
			$id=$urow[0];
			$no=1 + $nox++;
			$uupQry="UPDATE Patients SET orderlist='$no' WHERE PatientID='$id'";
			$uuresult=mysqli_query($conn,$uupQry);
			} 			
                            $result = mysqli_query($conn, "SELECT p.*, p.UniqueID AS PUniqueID, d.DoctorID, d.Name FROM Patients p JOIN Doctors d ON p.DoctorID = d.DoctorID  ORDER BY p.PatientID DESC");
                            
                            while ($row = mysqli_fetch_array($result)) {
							
                            ?>
                            <tr class="showtr">
								<td style="display: none"><?php echo $row['orderlist']; ?></td>
								<?php /*?><td><img src="uploads/<?php echo !empty($row['ProfilePhoto']) ? htmlspecialchars($row['ProfilePhoto']) : 'demo.jpg'; ?>" 
        style="width: 70px; height: 70px"></td><?php */?>

								<td><?php echo htmlspecialchars(date('d-m-Y', strtotime($row['JoiningDate']))); ?></td>
								<td><?php echo htmlspecialchars($row['UniqueID']); ?></td>
								<td><?php echo htmlspecialchars(ucwords(strtolower($row['PatientName']))); ?></td>
								<td><?php echo htmlspecialchars(date('d-m-Y', strtotime($row['DOB']))); ?></td>
								<td><?php echo htmlspecialchars($row['Gender']); ?></td>
								<td><?php if (empty($row['LastVisitDate'])) {  echo 'No visit';} else {echo htmlspecialchars(date('d-m-Y h:i A', strtotime($row['LastVisitDate'])));
    }   ?></td>
                              
                                <td>
									<label class="switch switch-success">
                            <input type="checkbox" class="switch-input" value="<?php echo htmlspecialchars($row[0]); ?>" <?php echo (isset($row['Status']) && trim($row['Status']) === 'Active') ? "checked" : ""; ?> onClick="statusChange(this.value);"  />
                            <span class="switch-toggle-slider">
                              <span class="switch-on">
                                <i class="ti ti-check"></i>
                              </span>
                              <span class="switch-off">
                                <i class="ti ti-x"></i>
                              </span>
                            </span>
                            
                          </label>
    
</td>

                                <td>
									<button type="button" class="btn btn-xs btn-primary" onclick="window.location.href='patient_details.php?id=<?php echo $row['0']; ?>'">
                                    <i class="far fa-eye"></i></button>
								    <button type="button" class="btn btn-xs btn-warning" onclick="window.location.href='patient_add.php?id=<?php echo $row[0]; ?>'">
                                    <i class="far fa-edit"></i></button>
                   				 <button type="button" id="<?php echo $row[0]; ?>" class="btn btn-xs btn-danger delete"><i class="far fa-trash-alt"></i></button>
                                   
                                </td>
                            </tr>
                            <?php } ?>
                        </tbody>
                    </table>



								<script>
$(document).ready(function () {
	
	

    // Function to handle status change
    window.statusChange = function (id) {
        $.ajax({
            url: 'patient_action.php',
            method: 'POST',
            data: { id: id, action: 'StatusChange' },
            success: function (data) {
				if (data.status === 'Active') {
                toastr.success('Status Active Successfully');
				} else { 
				toastr.success('Status Inactive Successfully');
				}
            },
            error: function () {
                toastr.error('Error while updating status.');
            }

        });
    }

    // Handle delete action
    $(document).on('click', '.delete', function () {
    var id = $(this).attr("id");
    var row = $(this).closest('tr');
    if (confirm('Are you sure you want to delete this record?')) {
        $.ajax({
            url: 'patient_action.php',
            method: 'POST',
            data: { id: id, action: 'Delete' },
            dataType: 'json', // Expect JSON response
            success: function (response) {
                console.log('Server Response:', response); // Log the response
                if (response.status === 'Delete') {
                    toastr.success(response.message);
                    row.css('background-color', '#63ba8f').fadeOut(800, function() {
                        $(this).remove();
                    });
                } else {
                    toastr.error(response.message);
                }
            },
            error: function () {
                toastr.error('Error while deleting record.');
            }
        });
    }
});

});

</script>



							</div>
						</div>

						<!-- Multilingual -->

						<!--/ Multilingual -->
					</div>
					<?php include('admission_export_excel.php')?>
<?php include('inc/footer.php');?>
	<?php//}?>

				
