<?php
include( 'inc/template.php' );

// Function to handle main operations
//function main() {
//	global $conn;
	
	?>

	

	<div class="container-fluid flex-grow-1 container-p-y">
		<h4 class="py-0 mb-2"><span class="text-muted fw-light"><?php echo isset($_GET['id']) ? 'Update Prescription' : 'Add New Prescription'; ?></span></h4>
		<button type="button" class="btn btn-sm btn-primary" onclick="window.location.href='prescription_list.php';">
    <span class="ti-xs ti ti-chevron-left me-1"></span> Back to List
</button>
	
  

		<div class="card mb-4">
<!--<script type="text/javascript" src="ckeditor/ckeditor.js"></script>-->
			<form class="card-body" method="post" enctype="multipart/form-data">
            <div class="row g-3">
        
        
        <div class="col-md-12">
            <label class="form-label" for="doctor_id">Doctor Name</label>
            <select name="doctor_id" id="doctor_id" required class="select2 form-select form-select-lg" data-allow-clear="true" required>
        <option value="">Select Doctor</option>
           <?php     $result = $conn->query("SELECT DoctorID, Name FROM Doctors WHERE status = '1' ORDER BY Name ASC");
                    while ($row = $result->fetch_assoc()) {
                        echo '<option value="' . $row['DoctorID'] . '">' . htmlspecialchars(ucwords(strtolower($row['Name']))) . '</option>';

                    }
             ?>
            </select>
        </div>
       
        <div class="col-md-12">
            <label class="form-label" for="patient_id">Patient Name</label>
            <select name="patient_id" id="patient_id" class="form-select" required>
            <option value="">Select Patient</option>
             </select>
        </div>
        
	
        <div class="col-md-12">
            <label for="appointment_id" class="form-label">Appointment</label>
            <select id="appointment_id" name="appointment_id" class="form-select" required>
                <option value="">Select Appointment</option>
            </select>
        </div>
        <div class="col-md-12">
            <label for="MedicineID" class="form-label">Medicine Name</label>
            <select id="MedicineID" name="MedicineID[]" class="select2 form-select" multiple>
              <option>select..</option>  
                               
                                      
            </select>
        </div>

	
        <div class="col-md-12">
            <label class="form-label" for="Phone">Dosage</label>
            <input type="text" id="Dosage" name="Dosage" class="form-control" required/>
        </div>
        <div class="col-md-12">
            <label class="form-label" for="ReportsName">Report</label>
            <input type="text" name="ReportsName" id="ReportsName" class="form-control" />
        </div>
        
        <div class="col-md-12">
            <label class="form-label" for="SpecialNote">Special Note</label>
			<textarea  name="SpecialNote" id="SpecialNote" class="form-control" rows="5"></textarea> 
			<!--<script type="text/javascript">CKEDITOR.replace( 'SpecialNote' );</script>-->
            
        </div>
		
		
        
    </div>
    <div class="pt-4">
        <input type="hidden" name="useridnew" id="useridnew" value="<?php echo $UserId; ?>" />
        <input type="hidden" id="rolenew" name="rolenew" value="<?php echo $Role; ?>">
        <input type="hidden" id="upd" value="<?php echo isset($_GET['id']) ? $_GET['id'] : ''; ?>">
        <input type="hidden" name="id" id="id">
        <input type="hidden" name="action" id="action" value="<?php echo isset($_GET['id']) ? 'Update' : 'Create'; ?>">
        <button type="submit" class="btn btn-primary me-2"><?php echo isset($_GET['id']) ? 'Update' : 'Save'; ?></button>
        <button type="reset" class="btn btn-label-secondary">Cancel</button>
    </div>
</form>


		</div>
	</div>
<script>
    $(document).ready(function () {
     
    // Fetch patients when doctor is selected
    $('#doctor_id').on('change', function () {
        var doctorId = $(this).val();
        if (doctorId) {
            $.ajax({
                url: 'fetch_patients.php',
                method: 'POST',
                data: { doctor_id: doctorId },
                success: function (data) {
                    $('#patient_id').html(data); // Populate patients
                    $('#appointment_id').html('<option value="">Select Appointment</option>'); // Reset appointments
                },
                error: function () {
                    alert('Error fetching patients.');
                }
            });
        } else {
            $('#patient_id').html('<option value="">Select Patient</option>');
            $('#appointment_id').html('<option value="">Select Appointment</option>');
        }
    });

    // Fetch appointments when patient is selected
    $('#patient_id').on('change', function () {
        var patientId = $(this).val();
        var doctorId = $('#doctor_id').val(); // Get selected doctor ID

        if (patientId && doctorId) {
            $.ajax({
                url: 'fetch_appointment.php',
                method: 'POST',
                data: { doctor_id: doctorId, patient_id: patientId },
                success: function (data) {
                    $('#appointment_id').html(data); // Populate appointments

                    // Preselect the appointment ID if available
                    const selectedAppointmentID = $('#appointment_id').data('selected-id');
                    if (selectedAppointmentID) {
                        $('#appointment_id').val(selectedAppointmentID); // Set selected value
                    }
                },
                error: function () {
                    alert('Error fetching appointments.');
                }
            });
        } else {
            $('#appointment_id').html('<option value="">Select Appointment</option>');
        }
    });

    // Ensure appointment_id is set if preloaded data exists
    const preloadedDoctorID = $('#doctor_id').data('selected-id');
    const preloadedPatientID = $('#patient_id').data('selected-id');
    const preloadedAppointmentID = $('#appointment_id').data('selected-id');

    // Trigger change events to prepopulate dropdowns
    if (preloadedDoctorID) {
        $('#doctor_id').val(preloadedDoctorID).trigger('change'); // Trigger doctor change
    }

    if (preloadedPatientID) {
        setTimeout(function () {
            $('#patient_id').val(preloadedPatientID).trigger('change'); // Trigger patient change
        }, 300); // Delay to ensure doctor data loads
    }

    if (preloadedAppointmentID) {
        setTimeout(function () {
            $('#appointment_id').val(preloadedAppointmentID); // Preselect the appointment
        }, 600); // Delay to ensure patient data loads
    }


   
    // Initialize Select2 for all select dropdowns
    $('.select2').select2();

    // Fetch medicines when the page loads
    fetchMedicines();

    
    // Handle form submission
    $('form.card-body').on('submit', function (event) {
        event.preventDefault(); // Prevent default form submission
        submitForm();
    });

    // Load data for updating if `upd` parameter exists
    const upd = $('#upd').val();
    if (upd) {
        loadUpdateData(upd);
    }

    /** FUNCTIONS **/

    // Fetch medicines from the server
    // Fetch medicines from the server
function fetchMedicines() {
    const doctorId = $('#doctor_id').val();

    $.ajax({
        url: 'fetch_medicines.php', 
        type: 'POST',
        data: { DoctorID: doctorId },
        dataType: 'json',
        success: function (response) {
            const medicineDropdown = $('#MedicineID');
            medicineDropdown.empty(); // Clear existing options

            if (response.status === 'success' && response.medicines.length > 0) {
                response.medicines.forEach(function (medicine) {
                    medicineDropdown.append(`<option value="${medicine.id}">${medicine.name}</option>`);
                });
                medicineDropdown.select2(); // Refresh the Select2 dropdown
            } else {
                medicineDropdown.append('<option value="">No medicines found</option>');
            }
        },
        error: function () {
            toastr.error('Error fetching medicines.');
        }
    });
}


    

    // Submit the form for creating or updating
    function submitForm() {
        const formData = {
            patient_id: $('#patient_id').val(),
            appointment_id: $('#appointment_id').val(),
            MedicineID: $('#MedicineID').val(), // Array of selected medicines
            Dosage: $('#Dosage').val(),
            ReportsName: $('#ReportsName').val(),
            SpecialNote: $('#SpecialNote').val(),
            doctor_id: $('#doctor_id').val(),
            useridnew: $('#useridnew').val(),
            rolenew: $('#rolenew').val(),
            id: $('#id').val(),
            action: $('#action').val()
        };

        // Validation
        if (!formData.patient_id || !formData.appointment_id || !formData.MedicineID || !formData.Dosage) {
            toastr.error('Patient, Appointment, Medicine, and Dosage are required.');
            return;
        }

        // Use FormData for file handling (if needed)
        const formDataObj = new FormData();
        for (const key in formData) {
        // Add MedicineID as an array, assuming it's correctly sent as an array
        if (Array.isArray(formData[key])) {
            formData[key].forEach((value) => {
                formDataObj.append(key + '[]', value);
            });
        } else {
            formDataObj.append(key, formData[key]);
        }
    }

        // AJAX request to create or update
        $.ajax({
            url: 'prescription_action.php', // PHP endpoint for form submission
            method: 'POST',
            data: formDataObj,
            contentType: false, // Required for FormData
            processData: false,
            success: function (response) {
                try {
                    const res = JSON.parse(response); // Parse JSON response

                    if (res.status === 'Create') {
                        toastr.success('Record created successfully.');
                        setTimeout(() => {
                            window.location.href = 'prescription_list.php'; // Redirect
                        }, 1500);
                    } else if (res.status === 'Update') {
                        toastr.success('Record updated successfully.');
                        setTimeout(() => {
                            window.location.href = 'prescription_list.php'; // Redirect
                        }, 1500);
                    } else if (res.status === 'Duplicate') {
                        toastr.error('Duplicate entry detected.');
                    } else if (res.status === 'Error') {
                        toastr.error('Error: ' + (res.message || 'Unknown error occurred.'));
                    } else {
                        toastr.error('Unexpected response: ' + res.status);
                    }
                } catch (e) {
                    toastr.error('Error parsing server response.');
                    console.error('Parsing error:', e, 'Response:', response);
                }
            },
            error: function (xhr) {
                toastr.error('Error submitting the form.');
                console.error('AJAX error:', xhr.responseText);
            }
        });
    }

    // Load form data for updating
    function loadUpdateData(id) {
        $.ajax({
            url: 'prescription_action.php', // PHP endpoint for fetching data
            method: 'POST',
            data: { id: id, action: 'Select' },
            dataType: 'json',
            success: function (data) {
                $('#doctor_id').val(data.DoctorID).trigger('change');

                // Wait until doctor_id options are populated, then set patient_id
                setTimeout(function () {
                    $('#patient_id').val(data.PatientID).trigger('change');

                    // Wait until patient_id options are populated, then set appointment_id
                    setTimeout(function () {
                        $('#appointment_id').val(data.AppointmentID).trigger('change');
                    }, 300); // Adjust timing if needed to ensure appointment options are loaded
                }, 300); // Adjust timing if needed to ensure patient options are loaded

                // Set medicines if available
                if (data.Medicines && Array.isArray(data.Medicines)) {
                    $('#MedicineID').val(data.Medicines).trigger('change'); // Set selected medicines
                }

                // Set additional fields
                $('#Dosage').val(data.Dosage);
                $('#ReportsName').val(data.ReportsName);
                $('#SpecialNote').val(data.SpecialNote);
                $('#id').val(id);
                $('#action').val('Update');
            },
            error: function () {
                toastr.error('Error fetching data for update.');
            }
        });
    }
});

</script>

<script src="iadmin/assets/js/form-wizard-numbered.js"></script>
    <script src="iadmin/assets/js/form-wizard-validation.js"></script>

<?php include('inc/footer.php');?>
	<?php//}?>