<?php
error_reporting(0);
ini_set('display_errors', 1);
session_start();
$Role = isset($_SESSION['Role']) ? $_SESSION['Role'] : null;
$DoctorID = isset($_SESSION['DoctorID']) ? $_SESSION['DoctorID'] : null; 
$UserId = isset($_SESSION['UserId']) ? $_SESSION['UserId'] : null; 
$Login_name = isset($_SESSION['Login_name']) ? $_SESSION['Login_name'] : null;



include( 'inc/config.php' );
date_default_timezone_set( "Asia/Calcutta" ); //India time (GMT+5:30)
    $fromdate = date( 'Y-m-d H:i:s' );
    
// Sample logic for testing
if (!isset($_SESSION['UserId']) || !isset($_SESSION['Role'])) {
    $_SESSION['message'] = [
        'type' => 'error',
        'text' => 'You need to log in first.'
    ];
    echo "<script>window.location.href = 'index.php';</script>";
    exit();
}

// Example Role logic
if ($_SESSION['Role'] === 'Doctor') {
    if (!isset($_SESSION['message'])) { // Set the welcome message only if not already set
        $_SESSION['message'] = [
            'type' => 'success',
            'text' => 'Welcome, Doctor!'
        ];
    } unset($_SESSION['message']);
} elseif ($_SESSION['Role'] === 'Employee') {
    if (!isset($_SESSION['message'])) { // Set the welcome message only if not already set
        $_SESSION['message'] = [
            'type' => 'success',
            'text' => 'Welcome, Staff!'
        ];
    } unset($_SESSION['message']);
    
} else {
    $_SESSION['message'] = [
        'type' => 'error',
        'text' => 'Access denied. Invalid role.'
    ];
    echo "<script>window.location.href = 'index.php';</script>";
    exit();
}
 
?>

<!DOCTYPE html>

<html lang="en" class="light-style layout-menu-fixed layout-compact" dir="ltr" data-theme="theme-default" data-assets-path="iadmin/assets/" data-template="horizontal-menu-template">
<head>
	<meta charset="utf-8"/>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0"/>

	<?php include('meta-tag.php');?>

	<meta name="description" content=""/>
	<link rel="apple-touch-icon" sizes="180x180" href="iadmin/assets/img/favicon/apple-touch-icon.png">
	<link rel="icon" type="image/png" sizes="32x32" href="iadmin/assets/img/favicon/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="iadmin/assets/img/favicon/favicon-16x16.png">
	<link rel="manifest" href="iadmin/assets/img/favicon/site.webmanifest">

	<!-- Icons -->
	<link rel="stylesheet" href="iadmin/assets/vendor/fonts/fontawesome.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/fonts/tabler-icons.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/fonts/flag-icons.css"/>

	<!-- Core CSS -->
	<link rel="stylesheet" href="iadmin/assets/vendor/css/rtl/core.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/css/rtl/theme-default.css"/>


	<!-- Vendors CSS -->
	<link rel="stylesheet" href="iadmin/assets/vendor/libs/node-waves/node-waves.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/libs/typeahead-js/typeahead.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/libs/bootstrap-select/bootstrap-select.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/libs/select2/select2.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/libs/flatpickr/flatpickr.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/libs/typeahead-js/typeahead.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/libs/tagify/tagify.css"/>

	<link rel="stylesheet" href="iadmin/assets/vendor/libs/datatables-bs5/datatables.bootstrap5.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/libs/datatables-responsive-bs5/responsive.bootstrap5.css"/>
	<!--<link rel="stylesheet" href="iadmin/assets/vendor/libs/datatables-checkboxes-jquery/datatables.checkboxes.css"/>-->
	<link rel="stylesheet" href="iadmin/assets/vendor/libs/datatables-buttons-bs5/buttons.bootstrap5.css"/>
	<link rel="stylesheet" href="iadmin/assets/vendor/libs/flatpickr/flatpickr.css"/>
	<!-- Row Group CSS -->
	<!--<link rel="stylesheet" href="iadmin/assets/vendor/libs/datatables-rowgroup-bs5/rowgroup.bootstrap5.css"/>-->

	<!-- Page CSS -->

	<!-- Helpers -->
	<script src="iadmin/assets/vendor/js/helpers.js"></script>

	<script src="iadmin/assets/js/config.js"></script>

    <script src="iadmin/assets/js/jquery.min.js"></script>
	<link rel="stylesheet" href="iadmin/assets/toastr.min.css">
	<script src="iadmin/assets/toastr.min.js"></script>
</head>

<body>
<script>
    <?php if (isset($_SESSION['message'])): ?>
        $(document).ready(function() {
            toastr.<?php echo $_SESSION['message']['type']; ?>(
                "<?php echo $_SESSION['message']['text']; ?>"
            );
        });
        <?php unset($_SESSION['message']); // Clear the message after displaying ?>
    <?php endif; ?>
</script>

<?php include('header.php');?>
<?php //main(); ?>
					
					
				