<?php
include( 'inc/template.php' );

// Function to handle main operations
//function main() {
//	global $conn;
	
	?>


					<div class="container-fluid flex-grow-1 container-p-y">
						<h4 class="py-0 mb-2"><span class="text-muted fw-light">Medicines List</h4>

						<button type="button" onClick="location.href = 'medicines_add.php';" class="btn btn-sm btn-primary waves-effect waves-light">
                            <span class="ti-xs ti ti-plus me-1"></span>Add New Medicines
                          </button>
                          <button type="button" class="btn btn-sm btn-primary waves-effect waves-light" data-bs-toggle="modal"
                          data-bs-target="#basicModal">
                            <span class="ti-xs ti ti-database-import me-1"></span>Import Medicines
                          </button>
<div class="modal fade" id="basicModal" tabindex="-1" aria-hidden="true">
                          <div class="modal-dialog" role="document">
                            <div class="modal-content">
                              <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel1">Import Medicines</h5>
                                <button
                                  type="button"
                                  class="btn-close"
                                  data-bs-dismiss="modal"
                                  aria-label="Close"></button>
                              </div>
                              <div class="modal-body">
                                 <form id="importForm" enctype="multipart/form-data">
                                <div class="row">
                                  <div class="col mb-3">
                                    <label for="nameBasic" class="form-label">Import CSV</label>
                                    <input type="file" id="medicineFile" name="medicineFile" class="form-control" accept=".csv">
                                  </div>
                                </div>
                                <div class="modal-footer">
                                
                                <button type="button" class="btn btn-primary" onclick="importMedicines()">Save changes</button>
                                <button type="button" class="btn btn-label-secondary" data-bs-dismiss="modal"> Close</button>
                              </div>
                                </form>
                                <div id="response"></div>
                              </div>
                              
                            </div>
                          </div>
                        </div>
                        <script>
        function importMedicines() {
            const fileInput = $('#medicineFile')[0].files[0];  // Get the file input
            if (!fileInput) {
                $('#response').html('Error: No file selected.');
                return;
            }

            const formData = new FormData();
            formData.append('medicineFile', fileInput);  // Append the file to FormData

            // Send the file to the PHP script using AJAX
            $.ajax({
                url: 'import_medicines.php',  // PHP endpoint for inserting data
                method: 'POST',
                data: formData,
                contentType: false,  // Let jQuery handle the content type
                processData: false,  // Do not process the data
                success: function(response) {
                    $('#response').html(response);  // Show the server's response
                },
                error: function(xhr, status, error) {
                    $('#response').html('Error: ' + error);
                }
            });
        }
    </script>
						<!-- DataTable with Buttons -->
						<div class="card">
							<div class="card-datatable table-responsive pt-0">

					<table class="datatables-ajax table table-bordered table-responsive">
    <thead>
        <tr>
            <th>Medicines Name</th>
            <th>Contains</th>
            <th>Form</th>
            <th>Usage Method</th>
            <th>Status</th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
        <?php
        //if ($_SESSION['Role'] == 'Doctor') {
        $result = mysqli_query($conn, "SELECT * FROM Medicines ORDER BY MedicineName ASC");
        // } else { 
        // $result = mysqli_query($conn, "SELECT * FROM Medicines WHERE UserId = '$DoctorID' AND UserRole = 'Doctor' ORDER BY MedicineName ASC");
        // }
        while ($row = mysqli_fetch_array($result)) {
        ?>
        <tr class="showtr">
            <td><?php echo htmlspecialchars(ucwords(strtolower($row['MedicineName']))); ?></td>
            <td><?php echo $row['Contains']; ?></td>
			<td><?php echo $row['Form']; ?></td>
			<td><?php echo $row['UsageMethod']; ?></td>
           
            <td>
                
                <?php 
                    $status = $row['Status'];
                    if ($status == 'Available') {
                        echo '<button type="button" class="btn btn-sm btn-success">Available</button>';
                    } elseif ($status == 'Unavailable') {
                        echo '<button type="button" class="btn btn-sm btn-danger">Unavailable</button>';
					}
                ?>
            </td>
            
            <td>
                
                <?php /*?><button type="button" class="btn btn-xs btn-primary" onclick="window.location.href='patient_details.php?id=<?php echo $row['AppointmentID']; ?>'">
                    <i class="far fa-eye"></i>
                </button><?php */?>
                <button type="button" class="btn btn-xs btn-warning" onclick="window.location.href='medicines_add.php?id=<?php echo $row[0]; ?>'">
                    <i class="far fa-edit"></i>
                </button>
                <button type="button" id="<?php echo $row[0]; ?>" class="btn btn-xs btn-danger delete">
                    <i class="far fa-trash-alt"></i>
                </button>
            </td>
        </tr>
        <?php } ?>
    </tbody>
</table>

								<script>
$(document).ready(function () {
	
//	
//
//   
//    window.statusChange = function (id) {
//        $.ajax({
//            url: 'appointment_action.php',
//            method: 'POST',
//            data: { id: id, action: 'StatusChange' },
//            success: function (data) {
//				if (data.status === 'Active') {
//                toastr.success('Status Active Successfully');
//				} else { 
//				toastr.success('Status Inactive Successfully');
//				}
//            },
//            error: function () {
//                toastr.error('Error while updating status.');
//            }
//
//        });
//    }

    // Handle delete action
    $(document).on('click', '.delete', function () {
    var id = $(this).attr("id");
    var row = $(this).closest('tr');
    if (confirm('Are you sure you want to delete this record?')) {
        $.ajax({
            url: 'medicines_action.php',
            method: 'POST',
            data: { id: id, action: 'Delete' },
            dataType: 'json', // Expect JSON response
            success: function (response) {
                console.log('Server Response:', response); // Log the response
                if (response.status === 'Delete') {
                    toastr.success(response.message);
                    row.css('background-color', '#63ba8f').fadeOut(800, function() {
                        $(this).remove();
                    });
                } else {
                    toastr.error(response.message);
                }
            },
            error: function () {
                toastr.error('Error while deleting record.');
            }
        });
    }
});

});

</script>



							</div>
						</div>

						<!-- Multilingual -->

						<!--/ Multilingual -->
					</div>
					<?php //include('admission_export_excel.php')?>
<?php include('inc/footer.php');?>
	<?php//}?>

				
