<?php
include( 'inc/template.php' );

// Function to handle main operations
//function main() {
//	global $conn;
$PatientID = isset($_GET['id']) ? $_GET['id'] : null;
$result = mysqli_query( $conn, "SELECT p.*, p.UniqueID AS PUniqueID, d.DoctorID, d.Name FROM Patients p JOIN Doctors d ON p.DoctorID = d.DoctorID WHERE p.PatientID = '$PatientID'" );
$row = mysqli_fetch_array( $result );


?>

<div class="container-fluid flex-grow-1 container-p-y">
  <h4 class="py-0 mb-2"><span class="text-muted fw-light">Patient Details</span></h4>
  <button type="button" class="btn btn-sm btn-primary" onclick="window.location.href='patient_list.php';"> <span class="ti-xs ti ti-chevron-left me-1"></span> Back to List </button>
  
  <div class="row">
                <div class="col-xl-12 col-lg-5 col-md-5">
                    <div class="accordion mt-3" id="accordionExample">
                    <div class="card accordion-item active">
                      <h2 class="accordion-header" id="headingOne">
                        <button type="button" class="accordion-button" data-bs-toggle="collapse" data-bs-target="#accordionOne" aria-expanded="true" aria-controls="accordionOne">
                          Patient Details
                        </button>
                      </h2>

                      <div
                        id="accordionOne"
                        class="accordion-collapse collapse show"
                        data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                          <ul class="list-unstyled mb-4 mt-3">
						  <li class="d-flex align-items-center mb-3">
    					<span>
        <img src="iadmin/uploads/<?php echo !empty($row['ProfilePhoto']) ? htmlspecialchars($row['ProfilePhoto']) : 'demo.jpg'; ?>" 
        style="width: 80px; height: 80px">
    </span>
						</li>
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-calendar text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Joining Date:</span> <span><?php echo htmlspecialchars(date('d-m-Y h:i A', strtotime($row['JoiningDate']))); ?>
</span>
                        </li>
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-stethoscope text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Doctor Name:</span> <span><?php echo htmlspecialchars(ucwords(strtolower($row['Name']))); ?>
</span>
                        </li>
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-id text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Patient Id:</span> <span><?php echo htmlspecialchars($row['PUniqueID']); ?></span>
                        </li>
                        
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-user text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Patient Name:</span> <span><?php echo htmlspecialchars(ucwords(strtolower($row['PatientName']))); ?>
</span>
                        </li>
                        
                        
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-phone-call"></i><span class="fw-medium mx-2 text-heading">Contact:</span>
                          <span>+91 <?php echo htmlspecialchars($row['Phone']); ?></span>
                        </li>
                        
                        <?php /*?><li class="d-flex align-items-center mb-3">
                          <i class="ti ti-mail"></i><span class="fw-medium mx-2 text-heading">Email:</span>
                          <span><?php echo htmlspecialchars($row['Email']); ?></span>
                        </li><?php */?>
                      
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-cake text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Dob:</span> <span><?php echo htmlspecialchars(date('d-m-Y', strtotime($row['DOB']))); ?></span>
                        </li>
						  <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-gender-bigender text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Gender:</span> <span><?php echo htmlspecialchars($row['Gender']); ?></span>
                        </li>
						 
                       
						  <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-calendar-stats text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Last Visit Date:</span> <span><?php if (empty($row['LastVisitDate'])) {  echo 'No visit date';} else {echo htmlspecialchars(date('d-m-Y h:i A', strtotime($row['LastVisitDate'])));
    }   ?></span>
                        </li>
                      </ul>
                      <b class="card-text text-uppercase"><i class="ti ti-notes text-heading"></i> Special Note</b>
                      <ul class="list-unstyled mb-4 mt-3">
                        <li class="d-flex align-items-center mb-3">
                          
                          <span><?php echo $row['SpecialNote']; ?></span>
                        </li>
                        
                        <?php /*?><li class="d-flex align-items-center mb-3">
                          <i class="ti ti-mail"></i><span class="fw-medium mx-2 text-heading">Email:</span>
                          <span><?php echo htmlspecialchars($row['Email']); ?></span>
                        </li><?php */?>
                      </ul>
						<b class="card-text text-uppercase"><i class="ti ti-pill text-heading"></i> Current Medicines</b>
                      <ul class="list-unstyled mb-4 mt-3">
                        <li class="d-flex align-items-center mb-3">
                          
                          <span><?php echo $row['CurrentMedicines']; ?></span>
                        </li>
                        
                        <?php /*?><li class="d-flex align-items-center mb-3">
                          <i class="ti ti-mail"></i><span class="fw-medium mx-2 text-heading">Email:</span>
                          <span><?php echo htmlspecialchars($row['Email']); ?></span>
                        </li><?php */?>
                      </ul>
                        </div>
                      </div>
                    </div>
                    <div class="card accordion-item">
                      <h2 class="accordion-header" id="headingTwo">
                        <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#accordionTwo" aria-expanded="false" aria-controls="accordionTwo">
                          Appointments Details
                        </button>
                      </h2>
                      <div id="accordionTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                           <div class="card-datatable table-responsive pt-0">

					<table class="datatables-ajax table table-bordered table-responsive">
    <thead>
        <tr>
			<th style="display: none"></th>
            <th>Date</th>
            <th>Time</th>
            <th>Is Paid</th>
            <th>Transaction Id</th>
            <th>Status</th>
<!--            <th>Rescheduled ID</th>-->
            <!--<th>Action</th>-->
        </tr>
    </thead>
    <tbody>
        <?php
		$ure=mysqli_query($conn,"select * from Appointments order by ABS(AppointmentID) desc");
			while($urow=mysqli_fetch_array($ure))
		    {
			$id=$urow[0];
			$no=1 + $nox++;
			$uupQry="UPDATE Appointments SET orderlist='$no' WHERE AppointmentID='$id'";
			$uuresult=mysqli_query($conn,$uupQry);
			} 
			
        $result = mysqli_query($conn, "SELECT Appointments.AppointmentID, Appointments.Date, Appointments.Time, Appointments.IsPaid, Appointments.TransactionID,
            Appointments.Status, Appointments.RescheduledAppointmentID, Doctors.Name AS DoctorName, Patients.PatientName 
            FROM Appointments 
            JOIN Doctors ON Appointments.DoctorID = Doctors.DoctorID 
            JOIN Patients ON Appointments.PatientID = Patients.PatientID WHERE Patients.PatientID = '$PatientID'
            ORDER BY Appointments.AppointmentID desc");
			
        while ($row = mysqli_fetch_array($result)) {
        ?>
        <tr class="showtr">
			<td style="display: none"><?php echo $urow['orderlist']; ?></td>
            <td><?php echo htmlspecialchars(date('d-m-Y', strtotime($row['Date']))); ?></td>
            <td><?php echo htmlspecialchars(date('h:i A', strtotime($row['Time']))); ?></td> <!-- Correct time format -->
            <td>
                <!-- Handling IsPaid logic -->
                <?php if ($row['IsPaid'] == 1) { ?>
                    <button type="button" class="btn btn-sm btn-label-success">Yes</button>
                <?php } else { ?>
                    <button type="button" class="btn btn-sm btn-label-danger">No</button>
                <?php } ?>
            </td>
            <td><?php echo htmlspecialchars($row['TransactionID']); ?></td>
            <td>
                <!-- Handling Status logic -->
                <?php 
                    $status = $row['Status'];
                    if ($status == 'Visited') {
                        echo '<button type="button" class="btn btn-sm btn-success">Visited</button>';
                    } elseif ($status == 'Cancelled') {
                        echo '<button type="button" class="btn btn-sm btn-danger">Cancelled</button>';
                    } elseif ($status == 'Not Visited') {
                        echo '<button type="button" class="btn btn-sm btn-warning">Not Visited</button>';
                    } elseif ($status == 'Rescheduled') {
                        echo '<button type="button" class="btn btn-sm btn-info">Rescheduled</button>';
                    }
                ?>
            </td>
           
            </td>
        </tr>
        <?php } ?>
    </tbody>
</table>






							</div>
                      
                        </div>
                      </div>
                    </div>
                    <div class="card accordion-item">
                      <h2 class="accordion-header" id="headingThree">
                        <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#accordionThree" aria-expanded="false" aria-controls="accordionThree">
                          Prescriptions Details
                        </button>
                      </h2>
                      <div
                        id="accordionThree"   class="accordion-collapse collapse"  aria-labelledby="headingThree"  data-bs-parent="#accordionExample">
                          <div class="accordion-body">
                         <div class="card-datatable table-responsive pt-0">

					<table class="datatables-ajax table table-bordered table-responsive">
    <thead>
        <tr>
            <th>Date</th>
            <th>Appointment</th>
             <th>Medicine</th>
            <th>View</th>
            
        </tr>
    </thead>
    <tbody>
        <?php
        
            $result = mysqli_query($conn, "SELECT p.PrescriptionID, p.DoctorID, d.Name AS DoctorName, p.PatientID, pa.PatientName, p.AppointmentID, a.Date AS AppointmentDate, a.Time AS AppointmentTime, p.Medicine, p.Dosage, p.ReportsName, p.SpecialNote, p.Date AS PrescriptionDate FROM Prescriptions p JOIN Doctors d ON p.DoctorID = d.DoctorID JOIN Patients pa ON p.PatientID = pa.PatientID JOIN Appointments a ON p.AppointmentID = a.AppointmentID WHERE pa.PatientID = '$PatientID' ORDER BY p.PrescriptionID ASC");
        

        while ($row = mysqli_fetch_array($result)) {
            $modalId = "onboardImageModal" . $row['PrescriptionID'];
        ?>
            <tr class="showtr">
    <td><?php echo date('d-m-Y', strtotime($row['PrescriptionDate'])); ?></td>
    <td>
        <?php
        $appointmentDate = new DateTime($row['AppointmentDate']);
        $appointmentTime = new DateTime($row['AppointmentTime']);
        echo htmlspecialchars($appointmentDate->format('d-m-Y')) . ' - ' . htmlspecialchars($appointmentTime->format('h:i A'));
        ?>
    </td>
    <td>
        <button type='button' class='btn btn-sm btn-primary' data-bs-toggle='modal' data-bs-target='#onmodalLong<?php echo $modalId; ?>'>
            <span class='ti-xs ti ti-link me-1'></span> View
        </button>
    </td>
    <td>
        <button type='button' class='btn btn-sm btn-primary' data-bs-toggle='modal' data-bs-target='#modalLong<?php echo $modalId; ?>'>
            <span class='ti-xs ti ti-link me-1'></span> View
        </button>
    </td>
    
</tr>
<div class='modal-onboarding modal fade animate__animated' id='onmodalLong<?php echo $modalId; ?>' tabindex='-1' aria-hidden='true'>
    <div class='modal-dialog' role='document'>
        <div class='modal-content'>
            <div class='modal-header border-0'>
                <button type='button' class='btn-close' data-bs-dismiss='modal' aria-label='Close'></button>
            </div>
            <div class='modal-body p-0'>
                <div class='onboarding-content mb-4'>
                    <h4 class='onboarding-title text-body'><?php echo htmlspecialchars(ucwords(strtolower($row['PatientName']))); ?> Medicine</h4>
                    <div class='onboarding-info'>
                        
                        <p class="mb-2"><b>Medicine</b><br>
                            <?php
                            $medicines = explode(',', $row['Medicine']); // Split medicines into an array
                            foreach ($medicines as $index => $medicine) {
                                echo ($index + 1) . '. ' . htmlspecialchars(ucwords(strtolower(trim($medicine)))) . '<br>'; // Numbered list
                            }
                            ?>
                        </p>
                        
                        <p class="mb-2"><b>Dosage</b><br><?php echo htmlspecialchars(ucwords(strtolower($row['Dosage']))); ?></p>
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Modal for Prescription Details -->
<div class='modal-onboarding modal fade animate__animated' id='modalLong<?php echo $modalId; ?>' tabindex='-1' aria-hidden='true'>
    <div class='modal-dialog' role='document'>
        <div class='modal-content'>
            <div class='modal-header border-0'>
                <button type='button' class='btn-close' data-bs-dismiss='modal' aria-label='Close'></button>
            </div>
            <div class='modal-body p-0'>
                <div class='onboarding-content mb-4'>
                    <h4 class='onboarding-title text-body'><?php echo htmlspecialchars(ucwords(strtolower($row['PatientName']))); ?> Information</h4>
                    <div class='onboarding-info'>
                        
                        <p class="mb-2"><b>Report</b><br><?php echo htmlspecialchars(ucwords(strtolower($row['ReportsName']))); ?></p>
                        <p class="mb-2"><b>Special Note</b><br><?php echo htmlspecialchars(ucwords(strtolower($row['SpecialNote']))); ?></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

        <?php } ?>
    </tbody>
</table>






							</div>
                        </div>
                      </div>
                    </div>
                    <div class="card accordion-item">
                      <h2 class="accordion-header" id="headingFour">
                        <button type="button" class="accordion-button collapsed" data-bs-toggle="collapse" data-bs-target="#accordionFour" aria-expanded="false" aria-controls="accordionFour">
                          Reports Details
                        </button>
                      </h2>
                      <div id="accordionFour" class="accordion-collapse collapse" aria-labelledby="headingFour" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                           <div class="card-datatable table-responsive pt-0">

					<table class="datatables-ajax table table-bordered table-responsive">
                        <thead>
                            <tr>
								<th>Date</th>
                                <th>Report</th>
								
							
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            
                            $result = mysqli_query($conn, "SELECT rs.ReportID,rs.ReportDate,rs.ReportPDF,rs.UniqueID,d.DoctorID,d.Name AS DoctorName,a.Date,a.Time,p.PatientName
    FROM Reports rs JOIN Doctors d ON rs.DoctorID = d.DoctorID JOIN Patients p ON rs.PatientID = p.PatientID JOIN Appointments a ON rs.AppointmentID = a.AppointmentID WHERE p.PatientID = '$PatientID' ORDER BY d.Name ASC, rs.ReportDate DESC ");
                           
                            while ($row = mysqli_fetch_array($result)) {
							
                            ?>
                            <tr class="showtr">
                                <td><?php echo htmlspecialchars(date('d-m-Y h:i A', strtotime($row['Date'] . ' ' . $row['Time']))); ?></td>
								<td><?php if (!empty($row['ReportPDF'])): ?><a href="uploads/<?php echo htmlspecialchars($row['ReportPDF']); ?>" download>Download PDF</a><?php else: ?>
                                No Report <?php endif; ?></td>
                            </tr>
                            <?php } ?>
                        </tbody>
                    </table>






							</div>
                      
                        </div>
                      </div>
                    </div>
                  </div>
                 
                  
                </div>
               
              </div>
</div>


<?php include('inc/footer.php');?>
<?php//}?>