<?php


// Include the template file which includes config.php
include('inc/template.php');

// Function to handle main operations
//function main() {
//    global $conn;
?>



<div class="container-fluid flex-grow-1 container-p-y">
    <h4 class="py-2 mb-2"><span class="text-muted fw-light">User Master</span></h4>
    <button type="button" class="btn btn-sm btn-primary" data-bs-toggle="modal" data-bs-target="#basicModal">
        <span class="ti-xs ti ti-plus me-1"></span> Add New User
    </button>

    <div class="row mb-4">
        <div class="modal fade" id="basicModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel1">Create New Record</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <form id="userForm">
    <div class="modal-body">
        <!-- User Role Selection -->
<!--
        <div class="row">
            <div class="col mb-3">
                <label for="role" class="form-label">Role</label>
                <select id="role" name="role" class="form-control" required>
                    <option value="">Select Role</option>
                    <option value="Admin">Admin</option>
                    <option value="Doctor">Doctor</option>
                    <option value="Patient">Patient</option>
                </select>
            </div>
        </div>
-->
<select id="role" name="role" class="form-control" style="display: none;">
                    
                    <option value="Admin">Admin</option>
                    
                </select>
        <!-- Name -->
        <div class="row">
            <div class="col mb-3">
                <label for="fullname" class="form-label">Full Name</label>
                <input type="text" id="fullname" name="fullname" class="form-control" placeholder="Enter Full Name" required />
            </div>
        </div>

        <!-- Mobile -->
        <div class="row">
            <div class="col mb-3">
                <label for="mobile" class="form-label">Mobile</label>
                <input type="tel" id="mobile" name="mobile" class="form-control" placeholder="Enter Phone Number"
                    pattern="\d{10}" maxlength="10" inputmode="numeric" 
                    oninput="this.value=this.value.replace(/[^0-9]/g,'');" required />
            </div>
        </div>

        <!-- Username -->
        <div class="row">
            <div class="col mb-3">
                <label for="username" class="form-label">Username</label>
                <input type="text" id="username" name="username" class="form-control" 
                    oninput="this.value = this.value.replace(/\s/g, '');" placeholder="Enter Username" maxlength="20" required />
            </div>
        </div>

        <!-- Password -->
        <div class="row">
            <div class="col mb-3">
                <div class="form-password-toggle">
                    <label for="password" class="form-label">Password</label>
                    <div class="input-group input-group-merge">
                        <input type="password" id="password" name="password" class="form-control" placeholder="Enter Password" 
                            maxlength="20" required />
                        <span class="input-group-text cursor-pointer" id="togglePassword">
                            <i class="ti ti-eye-off"></i>
                        </span>
                    </div>
                </div>
            </div>
        </div>

        <!-- Doctor-Specific Fields -->
<!--
        <div id="doctorFields" style="display: none;">
            <div class="row">
                <div class="col mb-3">
                    <label for="specialization" class="form-label">Specialization</label>
                    <input type="text" id="specialization" name="specialization" class="form-control" placeholder="Enter Specialization" />
                </div>
            </div>
            <div class="row">
                <div class="col mb-3">
                    <label for="license" class="form-label">License Number</label>
                    <input type="text" id="license" name="license" class="form-control" placeholder="Enter License Number" />
                </div>
            </div>
        </div>
-->

        <!-- Patient-Specific Fields -->
<!--
        <div id="patientFields" style="display: none;">
            <div class="row">
                <div class="col mb-3">
                    <label for="age" class="form-label">Age</label>
                    <input type="number" id="age" name="age" class="form-control" placeholder="Enter Age" min="0" />
                </div>
            </div>
            <div class="row">
                <div class="col mb-3">
                    <label for="gender" class="form-label">Gender</label>
                    <select id="gender" name="gender" class="form-control">
                        <option value="">Select Gender</option>
                        <option value="Male">Male</option>
                        <option value="Female">Female</option>
                        <option value="Other">Other</option>
                    </select>
                </div>
            </div>
        </div>
-->
    </div>

    <div class="modal-footer">
        <input type="hidden" name="id" id="id" />
        <input type="hidden" name="action" id="action" value="Create" />
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary">Save Changes</button>
    </div>
</form>

                </div>
            </div>
        </div>

        <div class="col-xl-12 col-lg-6 col-md-6">
            <div class="card">
                <div class="card-datatable table-responsive pt-0">
                    <table class="datatables-ajax table table-bordered table-responsive">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Mobile</th>
                                <th>Username</th>
								<th>Password</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $result = mysqli_query($conn, "SELECT * FROM Users ORDER BY UserID ASC");
                            while ($row = mysqli_fetch_array($result)) {
                            ?>
                            <tr class="showtr">
                                <td><?php echo htmlspecialchars($row['FullName']); ?></td>
                                <td><?php echo htmlspecialchars($row['Mobile']); ?></td>
                                <td><?php echo htmlspecialchars($row['Username']); ?></td>
								<td><?php echo htmlspecialchars($row['PasswordHash']); ?></td>
                                <td>
                                    <label class="switch">
                                        <input type="checkbox" class="switch-input" value="<?php echo $row[0]; ?>"
                                               <?php if ($row['Status'] == '1') echo "checked"; ?>
                                               onClick="statusChange(this.value);" />
                                        <span class="switch-toggle-slider">
                                            <span class="switch-on"></span>
                                            <span class="switch-off"></span>
                                        </span>
                                    </label>
                                </td>
                                <td>
									<button type="button" id="<?php echo $row[0]; ?>" class="btn btn-xs btn-warning update"><i class="far fa-edit"></i></button>
                   				 <button type="button" id="<?php echo $row[0]; ?>" class="btn btn-xs btn-danger delete"><i class="far fa-trash-alt"></i></button>
                                   
                                </td>
                            </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


<script src="assets/js/jquery.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
<script>
$(document).ready(function () {
	
	
    // Open modal for creating new record
    $('#modal_button').click(function () {
        $('#basicModal').modal('show');
        $('#userForm')[0].reset();
        $('.modal-title').text("Create New Record");
        $('#action').val('Create'); // Set default action to Create when modal opens for new record
        $('#id').val(''); // Reset id
    });

    // Open modal for updating record
    $(document).on('click', '.update', function () {
        var id = $(this).attr("id");
        $.ajax({
            url: "user_master_action.php",
            method: "POST",
            data: { id: id, action: 'Select' },
            dataType: "json",
            success: function (data) {
                $('#basicModal').modal('show');
                $('#fullname').val(data.FullName);
                $('#mobile').val(data.Mobile);
                $('#username').val(data.Username);
				$('#role').val(data.role);
				$('#password').val(data.PasswordHash);
               // $('#formValidationPass').val(''); // Clear password field
                $('#action').val('Update');
                $('.modal-title').text("Update Record");
				$('#passwordContainer').hide(); // Hide the password field
                $('#id').val(id);
            },
            error: function () {
                toastr.error('Error fetching data.');
            }
        });
    });

    // Form submission for create/update
    $('#userForm').on('submit', function (event) {
        event.preventDefault();

        // Collect form data
        var fullname = $('#fullname').val();
        var mobile = $('#mobile').val();
        var username = $('#username').val();
		var role = $('#role').val();
        var action = $('#action').val();
        var password = $('#password').val();
        var id = $('#id').val();

        // Validate required fields
        if (fullname != '' && mobile != '' && username != '' && (action == 'Create' || password != '')) {
            // AJAX request
            $.ajax({
                url: "user_master_action.php",
                method: "POST",
                data: {
                    fullname: fullname,
                    mobile: mobile,
                    username: username,
					role: role,
                    action: action,
                    password: password,
                    id: id
                },
                success: function (data) {
					// console.log('Response from server:', data);
                    $('#basicModal').modal('hide');
                    if (data == 'Create') {
                        toastr.success('Data Saved Successfully');
						setTimeout(function() {
                        location.reload(); 
                    }, 1500);
                    } else if (data == 'Update') {
                        toastr.success('Data Updated Successfully');
						setTimeout(function() {
                        location.reload(); 
                    }, 1500);
                    } else if (data == 'Duplicate') {
                        toastr.error('Mobile number or username already exists.');
                    } else {
                        toastr.error('Error while inserting data.');
                    }
                    
                },
                error: function () {
                    toastr.error('Error while inserting data.');
                }
            });
        } else {
            toastr.error("All Fields are Required");
        }
    });

    // Function to avoid space in password
    window.AvoidSpace = function (event) {
        var k = event ? event.which : window.event.keyCode;
        if (k == 32) return false;
    }

    // Function to handle status change
    window.statusChange = function (id) {
        $.ajax({
            url: 'user_master_action.php',
            method: 'POST',
            data: { id: id, action: 'StatusChange' },
            success: function (data) {
                toastr.success('Status Updated Successfully');
            },
            error: function () {
                toastr.error('Error while updating status.');
            }
        });
    }

    // Handle delete action
    $(document).on('click', '.delete', function () {
    var id = $(this).attr("id");
    var row = $(this).closest('tr');
    if (confirm('Are you sure you want to delete this record?')) {
        $.ajax({
            url: 'user_master_action.php',
            method: 'POST',
            data: { id: id, action: 'Delete' },
            success: function (data) {
                if (data == 'Delete') {
                    toastr.success('Record Deleted Successfully');
                    // Animate the row removal
                    row.css('background-color', '#63ba8f').fadeOut(800, function() {
                        $(this).remove();
                    });
                } else {
                    toastr.error('Error while deleting record.');
                }
            },
            error: function () {
                toastr.error('Error while deleting record.');
            }
        });
    }
});

});

</script>
<?php include('inc/footer.php');?>
	<?php//}?>

