<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Include database configuration file
include('inc/config.php');

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['action'])) {
        $action = $_POST['action'];

        // Handle Create and Update actions
        if ($action === 'Create' || $action === 'Update') {
            if (isset($_POST['fullname']) && isset($_POST['mobile']) && isset($_POST['username']) && isset($_POST['password'])) {
                $fullname = mysqli_real_escape_string($conn, $_POST['fullname']);
                $mobile = $_POST['mobile'];
                $adminuser = $_POST['username'];
                $password = $_POST['password'];
				$role = $_POST['role'];
                $id = isset($_POST['id']) ? $_POST['id'] : '';

                // Check if mobile number or username already exists
                $sql_check = "SELECT * FROM Users WHERE (Mobile = '$mobile' OR Username = '$adminuser') " . ($action === 'Update' ? "AND UserID != '$id'" : "");
                $result_check = mysqli_query($conn, $sql_check);

                if (mysqli_num_rows($result_check) > 0) {
                    echo 'Duplicate';
                } else {
                    // Hash password before inserting or updating
                    //$hashed_password = password_hash($password, PASSWORD_DEFAULT);

                    if ($action === 'Create') {
                        // Insert new user
                        
                        $status = '1'; // Assuming '1' means active status
                        $created_at = date('Y-m-d H:i:s'); // Current date and time
                        
                         $sql_insert = "INSERT INTO Users (Username, PasswordHash, Role, FullName, Mobile, Status, CreatedAt) 
                                       VALUES ('$adminuser', '$password', '$role', '$fullname', '$mobile', '$status', '$created_at')";
                        
                        if (mysqli_query($conn, $sql_insert)) {
                            echo 'Create';
                        } else {
                            echo 'Error';
                        }
                    } elseif ($action === 'Update') {
                        // Update existing user
                        $sql_update = "UPDATE Users SET FullName = '$fullname', Mobile = '$mobile', Username = '$adminuser', PasswordHash = '$password' WHERE UserID = $id";
                        
                        if (mysqli_query($conn, $sql_update)) {
                            echo 'Update';
                        } else {
                            echo 'Error';
                        }
                    }
                }
            } else {
                echo 'All Fields are Required';
            }
        } elseif ($action === 'Select') {
            // Handle Select action
            if (isset($_POST['id'])) {
                $id = $_POST['id'];
                $sql_select = "SELECT * FROM Users WHERE UserID = $id";
                $result_select = mysqli_query($conn, $sql_select);

                if (mysqli_num_rows($result_select) > 0) {
                    $row = mysqli_fetch_assoc($result_select);
                    echo json_encode($row);
                } else {
                    echo 'Error';
                }
            } else {
                echo 'ID is Required';
            }
        } elseif ($action === 'Delete') {
            // Handle Delete action
            if (isset($_POST['id'])) {
                $id = $_POST['id'];
                $sql_delete = "DELETE FROM Users WHERE UserID = $id";

                if (mysqli_query($conn, $sql_delete)) {
                    echo 'Delete';
                } else {
                    echo 'Error';
                }
            } else {
                echo 'ID is Required';
            }
        } elseif ($action === 'StatusChange') { 
            // Handle Status Change action
            if (isset($_POST['id'])) {
                $id = $_POST['id'];
                 $sql_select = "SELECT Status FROM Users WHERE UserID = $id";
                $result_select = mysqli_query($conn, $sql_select);

                if (mysqli_num_rows($result_select) > 0) {
                    $row = mysqli_fetch_assoc($result_select);
                    $new_status = $row['Status'] == 1 ? 0 : 1;
                   echo  $sql_update = "UPDATE Users SET Status = '$new_status' WHERE UserID = $id";

                    if (mysqli_query($conn, $sql_update)) {
                        echo 'Status Updated';
                    } else {
                        echo 'Error';
                    }
                } else {
                    echo 'Error';
                }
            } else {
                echo 'ID is Required';
            }
        } else {
            echo 'Invalid Action';
        }
    } else {
        echo 'Action is Required';
    }
} else {
    echo 'Invalid Request Method';
}
?>
