<?php

include('inc/template.php');

?>



<div class="container-fluid flex-grow-1 container-p-y">
    <h4 class="py-0 mb-2"><span class="text-muted fw-light">Doctor Holidays List</span></h4>
    <button type="button" class="btn btn-sm btn-primary" data-bs-toggle="modal" data-bs-target="#basicModal">
        <span class="ti-xs ti ti-plus me-1"></span> Add New Doctor Holidays
    </button>

    <div class="row mb-4">
        <div class="modal fade" id="basicModal" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel1">Create New Record</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
					<form id="scheduleForm">
    <div class="modal-body">
        <!-- Doctor Selection -->
		<input type="hidden" name="doctor_id" id="doctor_id" value="<?php echo ($_SESSION['Role'] == 'Doctor') ? $UserId : $DoctorID; ?>" />
		<div class="row">
         <div class="col mb-3">
         <label for="leave_date" class="form-label">Leave Date</label>
        <input type="date" id="leave_date" name="leave_date" class="form-control" min="<?php echo date('Y-m-d'); ?>" required />

             </div>
          </div>
        <!-- Day of the Week -->
        <div class="row">
         <div class="col mb-3">
         <label for="day_of_week" class="form-label">Shift</label>
        <select id="Shift" name="Shift" class="form-select" required>
         <option value="">Select Shift</option>
                    <option value="Full Day">Full Day</option>
                    <option value="Morning">Morning</option>
                    <option value="Afternoon">Afternoon</option>
                    
            </select>
             </div>
          </div>
        <!-- Shift Number -->
        <div class="row">
            <div class="mb-3">
                <label for="Reason" class="form-label">Reason</label>
                <textarea class="form-control" name="reason" id="reason" rows="5"></textarea>
            </div>
        </div>

       
        
    </div>

    <!-- Hidden Fields and Submit Button -->
    <div class="modal-footer">
        <input type="hidden" name="useridnew" id="useridnew" value="<?php echo $UserId; ?>" />
        <input type="hidden" id="rolenew" name="rolenew" value="<?php echo $Role; ?>">
		<input type="hidden" name="id" id="id" />
        <input type="hidden" name="action" id="action" value="Create" />
        <button type="button" class="btn btn-label-secondary" data-bs-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary">Save changes</button>
    </div>
</form>

                    
                </div>
            </div>
        </div>

        <div class="col-xl-12 col-lg-6 col-md-6">
            <div class="card">
                <div class="card-datatable table-responsive pt-0">
                    <table class="datatables-ajax table table-bordered table-responsive">
                        <thead>
                            <tr>
								<th>Doctor Name</th>
                                <th>Leave Date</th>
                                <th>Shift</th>
                                <th>Reason</th>
                               	<th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            //if ($_SESSION['Role'] == 'Doctor') {
                            $result = mysqli_query($conn, "SELECT dh.HolidayID,d.DoctorID, d.Name AS DoctorName, dh.LeaveDate, dh.Shift, dh.Reason, dh.status FROM Doctorholidays dh JOIN Doctors d ON dh.DoctorID = d.DoctorID ORDER BY dh.HolidayID DESC, dh.LeaveDate"); 
                            // } else {
                            //  $result = mysqli_query($conn, "SELECT dh.HolidayID,d.DoctorID, d.Name AS DoctorName, dh.LeaveDate, dh.Reason, dh.status FROM Doctorholidays dh JOIN Doctors d ON dh.DoctorID = d.DoctorID WHERE dh.DoctorID = '$DoctorID' ORDER BY dh.HolidayID DESC, dh.LeaveDate");  
                            // }
                            
                            while ($row = mysqli_fetch_array($result)) {
							
                            ?>
                            <tr class="showtr">
								
                                <td><?php echo htmlspecialchars(ucwords(strtolower($row['DoctorName']))); ?></td>
                                <td><?php echo htmlspecialchars(date('d-m-Y', strtotime($row['LeaveDate']))); ?></td>
                                <td><?php echo htmlspecialchars($row['Shift']); ?></td>
								<td><?php echo htmlspecialchars($row['Reason']); ?></td>
								
								                                
                                <td>
									<button type="button" id="<?php echo $row[0]; ?>" class="btn btn-xs btn-warning update"><i class="far fa-edit"></i></button>
                   				 <button type="button" id="<?php echo $row[0]; ?>" class="btn btn-xs btn-danger delete"><i class="far fa-trash-alt"></i></button>
                                   
                                </td>
                            </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
$(document).ready(function () {
    // Open modal for creating new record
    $('#modal_button').click(function () {
        $('#basicModal').modal('show');
        $('#scheduleForm')[0].reset();  
        $('.modal-title').text("Create New Schedule");
        $('#action').val('Create'); 
        $('#id').val(''); 
    });

    // Open modal for updating record (This would be for editing an existing schedule)
    $(document).on('click', '.update', function () {
        var id = $(this).attr("id");
        $.ajax({
            url: "doctorholidays_action.php", 
            method: "POST",
            data: { id: id, action: 'Select' }, 
            dataType: "json",
            success: function (data) {
                $('#basicModal').modal('show');
                $('#doctor_id').val(data.DoctorID);   
                $('#leave_date').val(data.LeaveDate); 
                $('#Shift').val(data.Shift);
                $('#reason').val(data.Reason);
                $('#action').val('Update');
                $('.modal-title').text("Update Schedule");
                $('#id').val(id);
            },
            error: function () {
                toastr.error('Error fetching data.');
            }
        });
    });

    // Form submission for create/update
    $('#scheduleForm').on('submit', function (event) {
        event.preventDefault(); 

        // Collect form data
        var doctor_id = $('#doctor_id').val();
        var leave_date = $('#leave_date').val();
        var Shift = $('#Shift').val();
        var reason = $('#reason').val();
        var useridnew = $('#useridnew').val();
        var rolenew = $('#rolenew').val();
        var action = $('#action').val();
        var id = $('#id').val();

        // Validate required fields
        if (doctor_id != '' && leave_date != '' && reason != '') {
            // AJAX request to submit form data
            $.ajax({
                url: "doctorholidays_action.php",  
                method: "POST",
                data: {
                    doctor_id: doctor_id,
                    leave_date: leave_date,
                    Shift: Shift,
                    reason: reason,
                    useridnew: useridnew,
                    rolenew: rolenew,
                    action: action,
                    id: id
                },
                success: function (data) {
                    $('#basicModal').modal('hide');
					//console.log(data);
                    if (data === 'Create') {
                        toastr.success('Schedule Created Successfully');
						 setTimeout(function () {
                        location.reload(); 
                    }, 1500);
                    } else if (data === 'Update') {
                        toastr.success('Schedule Updated Successfully');
						 setTimeout(function () {
                        location.reload();
                    }, 1500);
                    } else if (data === 'Duplicate') {
                        toastr.error('This schedule already exists.');
                    } else {
                        toastr.error('Error while saving schedule.');
                    }
                   
                },
                error: function () {
                    toastr.error('Error while saving schedule.');
                }
            });
        } else {
            toastr.error("All Fields are Required");
        }
    });


   
    // Handle delete action
    $(document).on('click', '.delete', function () {
    var id = $(this).attr("id");
    var row = $(this).closest('tr');
    if (confirm('Are you sure you want to delete this record?')) {
        $.ajax({
            url: 'doctorholidays_action.php',
            method: 'POST',
            data: { id: id, action: 'Delete' },
            success: function (data) {
                if (data == 'Delete') {
                    toastr.success('Record Deleted Successfully');
                    // Animate the row removal
                    row.css('background-color', '#63ba8f').fadeOut(800, function() {
                        $(this).remove();
                    });
                } else {
                    toastr.error('Error while deleting record.');
                }
            },
            error: function () {
                toastr.error('Error while deleting record.');
            }
        });
    }
});

});

</script>
<?php include('inc/footer.php');?>


