<?php
include( 'inc/template.php' );

// Function to handle main operations
//function main() {
//	global $conn;
	
	?>

	

	<div class="container-fluid flex-grow-1 container-p-y">
		<h4 class="py-0 mb-2"><span class="text-muted fw-light"><?php echo isset($_GET['id']) ? 'Update Users' : 'Add New Users'; ?></span></h4>
		<button type="button" class="btn btn-sm btn-primary" onclick="window.location.href='employee_list.php';">
    <span class="ti-xs ti ti-chevron-left me-1"></span> Back to List
</button>
<div class="card mb-4">
<form class="card-body" method="post" enctype="multipart/form-data">
<div class="row g-3">
<div class="col-md-6">
    <label class="form-label" for="DoctorID">First Name</label>
    <input type="text" id="FirstName" name="FirstName" class="form-control" required  />
</div>
<div class="col-md-6">
    <label class="form-label" for="DoctorID">Last Name</label>
    <input type="text" id="LastName" name="LastName" class="form-control" required  />
</div>
<div class="col-md-6">
    <label class="form-label" for="DoctorID">Email</label>
    <input type="email" id="Email" name="Email" class="form-control" required/>
</div>

<div class="col-md-6">
    <label class="form-label" for="DoctorID">Mobile</label>
    <input type="tel" id="Phone" name="Phone" class="form-control" pattern="\d{10}" maxlength="10" inputmode="numeric" oninput="this.value=this.value.replace(/[^0-9]/g,'');" required/>
</div>
<div class="col-md-6">
    <label class="form-label" for="DoctorID">Address</label>
    <textarea class="form-control" rows="5" id="Address" name="Address" required></textarea>
</div>
<div class="col-md-6">
    <label class="form-label" for="DoctorID">Job Title</label>
    <input type="text" id="JobTitle" name="JobTitle"  class="form-control" required/>
</div>
 <div class="col-md-4">
            <label class="form-label" for="Name">Joining Date</label>
            <input type="date" id="HireDate" name="HireDate" class="form-control" max="<?= date('Y-m-d'); ?>" required/>

        </div>
         <div class="col-md-4">
            <label class="form-label" for="Name">Username</label>
            <input type="text" id="Username" class="form-control"
                    oninput="this.value = this.value.replace(/\s/g, '');" maxlength="20"  />

        </div>
<div class="col-md-4" <?php echo isset($_GET['id']) ? 'style="display: none;"' : ''; ?>>
<div class="form-password-toggle">
    <label class="form-label" for="formValidationPass">Password</label>
    <div class="input-group input-group-merge">
    <input class="form-control" type="password" onKeyPress="return AvoidSpace(event)" id="formValidationPass" name="adminpassword" placeholder="&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;"  maxlength="20"  />
   <span class="input-group-text cursor-pointer" id="multicol-password2"><i class="ti ti-eye-off"></i></span>
   </div>
</div>
</div>
</div>
    <div class="pt-4">
        <input type="hidden" id="useridnew" name="useridnew" value="<?php echo $UserId; ?>">
        <input type="hidden" id="upd" value="<?php echo isset($_GET['id']) ? $_GET['id'] : ''; ?>">
        <input type="hidden" name="id" id="id">
        <input type="hidden" name="action" id="action" value="<?php echo isset($_GET['id']) ? 'Update' : 'Create'; ?>">
        <button type="submit" class="btn btn-primary me-2"><?php echo isset($_GET['id']) ? 'Update' : 'Save'; ?></button>
        <button type="reset" class="btn btn-label-secondary">Cancel</button>
    </div>
</form>
</div>
</div>

<script src="assets/js/jquery.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
	<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
<script>
$(document).ready(function () {
    // Handle form submission
    $('form.card-body').on('submit', function (event) {
        event.preventDefault(); // Prevent default form submission

        // Collect form data
        var formData = {
            FirstName: $('#FirstName').val(),
            LastName: $('#LastName').val(),
            Email: $('#Email').val(),
            Phone: $('#Phone').val(),
            Address: $('#Address').val(),
            JobTitle: $('#JobTitle').val(),
            HireDate: $('#HireDate').val(),
            Username: $('#Username').val(),
            adminpassword: $('#formValidationPass').val(),
            useridnew: $('#useridnew').val(),
            id: $('#id').val(),
            action: $('#action').val()
        };

        // Validate required fields
        if (!formData.FirstName || !formData.LastName || !formData.Email || !formData.Phone || !formData.Address || !formData.JobTitle || !formData.HireDate || !formData.Username) {
            toastr.error('All fields are required.');
            return;
        }

        // Create a FormData object to handle file uploads (if any)
        var formDataObj = new FormData();
        for (const key in formData) {
            formDataObj.append(key, formData[key]);
        }

        // AJAX request
        $.ajax({
            url: 'employee_action.php', // Adjust to your server endpoint
            method: 'POST',
            data: formDataObj,
            contentType: false, // Needed for FormData
            processData: false, // Prevent jQuery from automatically processing data
            success: function (response) {
                // Ensure the response is parsed as JSON
                try {
                    var res = typeof response === 'string' ? JSON.parse(response) : response;

                    if (res.status === 'Create') {
                        toastr.success('Employee record created successfully.');
                        setTimeout(function () {
                            window.location.href = 'employee_list.php'; // Redirect after success
                        }, 1500);
                    } else if (res.status === 'Update') {
                        toastr.success('Employee record updated successfully.');
                        setTimeout(function () {
                            window.location.href = 'employee_list.php'; // Redirect after success
                        }, 1500);
                    } else if (res.status === 'Duplicate') {
                        toastr.error('Duplicate entry: Email already exists.');
                    } else if (res.status === 'Error') {
                        toastr.error('Error: ' + (res.message || 'Unknown error occurred.'));
                    } else {
                        toastr.error('Unexpected response status: ' + res.status);
                    }
                } catch (e) {
                    toastr.error('Error parsing server response.');
                    console.error('Parsing error:', e, 'Response:', response);
                }
            },
            error: function (xhr) {
                toastr.error('An error occurred while submitting the form.');
                console.error('AJAX error:', xhr.responseText);
            }
        });
    });

    // Load form data for updating if `upd` parameter exists
    var upd = $('#upd').val();
    if (upd) {
        $.ajax({
            url: 'employee_action.php', // Adjust to your server endpoint
            method: 'POST',
            data: { id: upd, action: 'Select' },
            dataType: 'json',
            success: function (data) {
                // Populate form fields with employee data
                $('#FirstName').val(data.FirstName);
                $('#LastName').val(data.LastName);
                $('#Email').val(data.Email);
                $('#Phone').val(data.Phone);
                $('#Address').val(data.Address);
                $('#JobTitle').val(data.JobTitle);
                $('#HireDate').val(data.HireDate);
                $('#Username').val(data.Username);
                //$('#formValidationPass').val(data.adminpassword); // If password is being updated, show it here
                
                // Set the hidden fields
                $('#id').val(upd);
                $('#action').val('Update');
            },
            error: function () {
                toastr.error('Error fetching data for update.');
            }
        });
    }
});


	

</script>


<?php include('inc/footer.php');?>
	<?php//}?>