<?php
include( 'inc/template.php' );
if (!isset($_SESSION['Role']) || $_SESSION['Role'] !== 'Employee') {
    // Redirect to the login page or any other page if the user is not an employee
    echo "<script>alert('You do not have access to this page.'); window.location.href = 'index.php';</script>";
    exit();
} 
$result = mysqli_query( $conn, "SELECT * FROM Employees WHERE EmployeeID = '$UserId'" );
$row = mysqli_fetch_array( $result );
 
?>

<div class="container-fluid flex-grow-1 container-p-y">
	<h4 class="py-1 mb-1"><span class="text-muted fw-light">My Profile</h4>
	<div class="row mb-4">
		
		<div class="col-xl-12 col-lg-6 col-md-6 mb-3">
			<div class="card">
				
				<form class="card-body" id="employeeprofile" method="post" enctype="multipart/form-data">
				
			<div class="row g-3">
<div class="col-md-6">
    <label class="form-label" for="DoctorID">First Name</label>
    <input type="text" id="FirstName" name="FirstName" class="form-control" required value="<?php echo htmlspecialchars($row['FirstName']); ?>" />
</div>
<div class="col-md-6">
    <label class="form-label" for="DoctorID">Last Name</label>
    <input type="text" id="LastName" name="LastName" class="form-control" required value="<?php echo htmlspecialchars($row['LastName']); ?>" />
</div>
<div class="col-md-6">
    <label class="form-label" for="DoctorID">Email</label>
    <input type="email" id="Email" name="Email" class="form-control" required value="<?php echo htmlspecialchars($row['Email']); ?>"/>
</div>

<div class="col-md-6">
    <label class="form-label" for="DoctorID">Mobile</label>
    <input type="tel" id="Phone" name="Phone" class="form-control" pattern="\d{10}" maxlength="10" inputmode="numeric" oninput="this.value=this.value.replace(/[^0-9]/g,'');" required value="<?php echo htmlspecialchars($row['Phone']); ?>"/>
</div>
<div class="col-md-6">
    <label class="form-label" for="DoctorID">Address</label>
    <textarea class="form-control" rows="5" id="Address" name="Address" required><?php echo htmlspecialchars($row['Address']); ?></textarea>
</div>
<div class="col-md-6">
    <label class="form-label" for="DoctorID">Job Title</label>
    <input type="text" id="JobTitle" name="JobTitle"  class="form-control" required value="<?php echo htmlspecialchars($row['JobTitle']); ?>"/>
</div>
<div class="col-md-6">
    <label class="form-label" for="DoctorID">Joining Date</label>
    <input type="text"  class="form-control"  value="<?php echo htmlspecialchars(date('d-m-Y', strtotime($row['HireDate']))); ?>" readonly/>
</div>
 
         <div class="col-md-6">
            <label class="form-label" for="Name">Username</label>
            <input type="text" id="Username" class="form-control"   oninput="this.value = this.value.replace(/\s/g, '');" maxlength="20" value="<?php echo htmlspecialchars($row['Username']); ?>" />

        </div>

</div>
				
				
				
				
				
				<div class="pt-4">
					<input type="hidden" id="upd" value="<?php echo htmlspecialchars($row['EmployeeID']); ?>">
					 <input type="hidden" name="id" id="id">
                    <input type="hidden" name="action" id="action" value="Update">
                    <button type="submit" class="btn btn-primary me-2"> Update Profile </button>
				
				</div>
			</form>
		
				
			</div>
		</div>
	</div>



</div>

<script>
$(document).ready(function () {
    // Handle form submission
    $('form.card-body').on('submit', function (event) {
        event.preventDefault(); // Prevent default form submission

        // Collect form data
        var formData = {
            FirstName: $('#FirstName').val(),
            LastName: $('#LastName').val(),
            Email: $('#Email').val(),
            Phone: $('#Phone').val(),
            Address: $('#Address').val(),
            JobTitle: $('#JobTitle').val(),
            Username: $('#Username').val(),
            adminpassword: $('#formValidationPass').val(),
            useridnew: $('#useridnew').val(),
            id: $('#id').val(),
            action: $('#action').val()
        };

        // Validate required fields
        if (!formData.FirstName || !formData.LastName || !formData.Email || !formData.Phone || !formData.Address || !formData.JobTitle || !formData.Username) {
            toastr.error('All fields are required.');
            return;
        }

        // Create a FormData object to handle file uploads (if any)
        var formDataObj = new FormData();
        for (const key in formData) {
            formDataObj.append(key, formData[key]);
        }

        // AJAX request
        $.ajax({
            url: 'employee_profile_action.php', // Adjust to your server endpoint
            method: 'POST',
            data: formDataObj,
            contentType: false, // Needed for FormData
            processData: false, // Prevent jQuery from automatically processing data
            success: function (response) {
                // Ensure the response is parsed as JSON
                try {
                    var res = typeof response === 'string' ? JSON.parse(response) : response;

                    if (res.status === 'Update') {
                        toastr.success('Employee record updated successfully.');
                        setTimeout(function () {
                            window.location.href = 'employee_profile.php'; // Redirect after success
                        }, 1500);
                    } else if (res.status === 'Duplicate') {
                        toastr.error('Duplicate entry: Email already exists.');
                    } else if (res.status === 'Error') {
                        toastr.error('Error: ' + (res.message || 'Unknown error occurred.'));
                    } else {
                        toastr.error('Unexpected response status: ' + res.status);
                    }
                } catch (e) {
                    toastr.error('Error parsing server response.');
                    console.error('Parsing error:', e, 'Response:', response);
                }
            },
            error: function (xhr) {
                toastr.error('An error occurred while submitting the form.');
                console.error('AJAX error:', xhr.responseText);
            }
        });
    });

    // Load form data for updating if `upd` parameter exists
    var upd = $('#upd').val();
    if (upd) {
        $.ajax({
            url: 'employee_profile_action.php', // Adjust to your server endpoint
            method: 'POST',
            data: { id: upd, action: 'Select' },
            dataType: 'json',
            success: function (data) {
                // Populate form fields with employee data
                $('#FirstName').val(data.FirstName);
                $('#LastName').val(data.LastName);
                $('#Email').val(data.Email);
                $('#Phone').val(data.Phone);
                $('#Address').val(data.Address);
                $('#JobTitle').val(data.JobTitle);
                $('#HireDate').val(data.HireDate);
                $('#Username').val(data.Username);
                //$('#formValidationPass').val(data.adminpassword); // If password is being updated, show it here
                
                // Set the hidden fields
                $('#id').val(upd);
                $('#action').val('Update');
            },
            error: function () {
                toastr.error('Error fetching data for update.');
            }
        });
    }
});


	

</script>
<?php include('inc/footer.php');?>
<?php//}?>