<?php
// include 'inc/config.php'; 

// error_reporting(E_ALL);
// ini_set('display_errors', 1);

// if (isset($_GET['doctor_id'])) {
//     echo $doctorId = intval($_GET['doctor_id']);
//     echo $query = "SELECT PatientID, PatientName FROM Patients WHERE DoctorID = $doctorId AND status = 'Active' ORDER BY PatientName ASC"; 
//     $result = $conn->query($query);

//     $patients = [];
//     while ($row = $result->fetch_assoc()) {
//         $patients[] = $row;
//     }

//     echo json_encode($patients);
// }


include 'inc/config.php';

error_reporting(E_ALL);
ini_set('display_errors', 1);

if (isset($_GET['doctor_id'])) {
    $doctorId = intval($_GET['doctor_id']); 

    $query = "SELECT PatientID, PatientName 
              FROM Patients 
              WHERE DoctorID = ? AND status = 'Active' 
              ORDER BY PatientName ASC";

    $stmt = $conn->prepare($query);
    $stmt->bind_param("i", $doctorId);
    $stmt->execute();
    $result = $stmt->get_result();

    $patients = [];
    while ($row = $result->fetch_assoc()) {
        $patients[] = $row;
    }

    // Output JSON
    header('Content-Type: application/json');
    echo json_encode($patients);
}
?>


