<?php
include( 'inc/template.php' );

$UniqueID  = isset($_GET['id']) ? $_GET['id'] : null;
$result = mysqli_query( $conn, "SELECT * FROM Doctors WHERE UniqueID  = '$UniqueID '" );
$row = mysqli_fetch_array( $result );
 $profile_picnew = "uploads/" . $row['ProfilePhoto'];

?>

<div class="container-fluid flex-grow-1 container-p-y">
  <h4 class="py-0 mb-2"><span class="text-muted fw-light">Doctors Details</span></h4>
  <button type="button" class="btn btn-sm btn-primary" onclick="window.location.href='doctors_list.php';"> <span class="ti-xs ti ti-chevron-left me-1"></span> Back to List </button>
  
  <div class="row">
                <div class="col-xl-12 col-lg-5 col-md-5">
                  <!-- About User -->
                  <div class="card mb-4">
                    <div class="card-body">
                      
                      <ul class="list-unstyled mb-4 mt-3">
						  <li class="d-flex align-items-center mb-3">
                            <span><img src="uploads/<?php echo !empty($row['ProfilePhoto']) ? htmlspecialchars($row['ProfilePhoto']) : 'demo.jpg'; ?>" 
                                    style="width: 70px; height: 70px">
                            </span>
                        </li>
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-calendar text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Reg Date:</span> <span><?php echo htmlspecialchars(date('d-m-Y H:i:s', strtotime($row['RegisterDate']))); ?>
</span>
                        </li>
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-id text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Id No.:</span> <span><?php echo htmlspecialchars($row['UniqueID']); ?></span>
                        </li>
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-user text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Name:</span> <span><?php echo htmlspecialchars(ucwords(strtolower($row['Name']))); ?>
</span>
                        </li>
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-map text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Address:</span> <span><?php echo htmlspecialchars($row['Address']); ?></span>
                        </li>
                        <li class="d-flex align-items-center mb-3">
                           <i class="ti ti-school text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Degree:</span> <span><?php echo htmlspecialchars(strtoupper($row['Degree'])); ?></span>
                        </li>
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-building-hospital text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Clinic Name:</span> <span><?php echo htmlspecialchars(ucwords(strtolower($row['ClinicName']))); ?></span>
                        </li>
						 <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-file-info text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Remarks:</span> <span><?php echo htmlspecialchars($row['ExtraField1']); ?></span>
                        </li>
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-user-circle text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Username:</span> <span><?php echo htmlspecialchars($row['Username']); ?></span>
                        </li>
                        <?php /*?><li class="d-flex align-items-center mb-3">
                          <i class="ti ti-lock text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Password:</span> <span><?php echo htmlspecialchars($row['Password']); ?></span>
                        </li><?php */?>
                        
                        
						  <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-user-circle text-heading"></i
                          ><span class="fw-medium mx-2 text-heading">Last Login:</span> <span><?php echo htmlspecialchars(date('d-m-Y H:i:s', strtotime($row['LastLoginDate']))); ?></span>
                        </li>
                      </ul>
                      <small class="card-text text-uppercase">Contacts</small>
                      <ul class="list-unstyled mb-4 mt-3">
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-phone-call"></i><span class="fw-medium mx-2 text-heading">Contact:</span>
                          <span>+91 <?php echo htmlspecialchars($row['Phone']); ?></span>
                        </li>
                        
                        <li class="d-flex align-items-center mb-3">
                          <i class="ti ti-mail"></i><span class="fw-medium mx-2 text-heading">Email:</span>
                          <span><?php echo htmlspecialchars($row['Email']); ?></span>
                        </li>
                      </ul>
                      

                    </div>
                  </div>
                  <!--/ About User -->
                  
                </div>
               
              </div>
</div>


<?php include('inc/footer.php');?>
