<?php
ini_set('display_errors', 1);        // Display errors to the browser
ini_set('display_startup_errors', 1); // Display startup errors
error_reporting(E_ALL);   
include 'inc/config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['doctor_id'], $_POST['patient_id'])) {
    $doctorId = intval($_POST['doctor_id']);
    $patientId = intval($_POST['patient_id']);

    $stmt = $conn->prepare("SELECT AppointmentID, Date,Time FROM Appointments WHERE DoctorID = ? AND PatientID = ? AND (Status != 'Cancelled' AND Status != 'Rescheduled') ORDER BY Time DESC");
    $stmt->bind_param("ii", $doctorId, $patientId);
    $stmt->execute();
    $result = $stmt->get_result();

    echo '<option value="">Select Appointment</option>';
    while ($row = $result->fetch_assoc()) {
        echo '<option value="' . $row['AppointmentID'] . '">' . date('d-m-Y', strtotime($row['Date'])) . ' ' . date('h:i A', strtotime($row['Time'])) . '</option>';
    }
    $stmt->close();
}
?>
