<?php
session_start();
$Role = isset($_SESSION['Role']) ? $_SESSION['Role'] : null;
$DoctorID = isset($_SESSION['DoctorID']) ? $_SESSION['DoctorID'] : null; 
$UserId = isset($_SESSION['UserId']) ? $_SESSION['UserId'] : null; 

date_default_timezone_set( "Asia/Calcutta" ); //India time (GMT+5:30)
    $fromdate = date( 'Y-m-d H:i:s' );
    
include( 'inc/config.php' );

if (isset($_FILES['medicineFile']) && $_FILES['medicineFile']['error'] === UPLOAD_ERR_OK) {
    // Get the file's temporary location and name
    $fileTmpPath = $_FILES['medicineFile']['tmp_name'];
    $fileName = $_FILES['medicineFile']['name'];
    
    if ($_SESSION['Role'] == 'Doctor') {
    $DoctorID = $UserId;
    } else {
    $DoctorID = $DoctorID; 
    }

    // Check if the uploaded file is a CSV file
    $fileExtension = strtolower(pathinfo($fileName, PATHINFO_EXTENSION));
    if ($fileExtension !== 'csv') {
        echo "Error: Please upload a CSV file.";
        exit;
    }

    // Open the CSV file for reading
    if (($file = fopen($fileTmpPath, 'r')) !== FALSE) {
        // Skip the header row (if present)
        fgetcsv($file);

        // Process each row in the CSV file
        while (($row = fgetcsv($file)) !== FALSE) {
            // Sanitize input data
           
            $medicineName = mysqli_real_escape_string($conn, $row[0]);
            $contains = mysqli_real_escape_string($conn, $row[1]);
            $form = mysqli_real_escape_string($conn, $row[2]);
            $usageMethod = mysqli_real_escape_string($conn, $row[3]);
            

            // Insert the medicine data into the database
           $insertQuery = "INSERT INTO Medicines (MedicineName, Contains, Form, UsageMethod, created_at, UserId, UserRole)
                            VALUES ('$medicineName', '$contains', '$form', '$usageMethod',  '$fromdate', '$DoctorID', '$Role')"; 

            if (!mysqli_query($conn, $insertQuery)) {
                echo "Error inserting medicine data: " . mysqli_error($conn);
                exit;
            }
        }

        fclose($file);
        echo "Medicines imported successfully!";
    } else {
        echo "Error: Unable to open the file.";
    }
} else {
    echo "Error: No file uploaded.";
}

// Close the connection
mysqli_close($conn);
?>
