<?php
include( 'inc/template.php' );

// Function to handle main operations
//function main() {
//	global $conn;
	
	?>

	

	<div class="container-fluid flex-grow-1 container-p-y">
		<h4 class="py-0 mb-2"><span class="text-muted fw-light"><?php echo isset($_GET['id']) ? 'Update Medicines' : 'Add New Medicines'; ?></span></h4>
		<button type="button" class="btn btn-sm btn-primary" onclick="window.location.href='medicines_list.php';">
    <span class="ti-xs ti ti-chevron-left me-1"></span> Back to List
</button>
	


		<div class="card mb-4">
<script type="text/javascript" src="ckeditor/ckeditor.js"></script>
			<form class="card-body" method="post" enctype="multipart/form-data">
    <div class="row g-3">
       
        <div class="col-md-12">
            <label for="medicine_name" class="form-label fw-bold">Medicine Name</label>
                <input type="text" id="medicine_name" name="medicine_name" class="form-control" placeholder="Enter Medicine Name" required />
        </div>
        <div class="col-md-6">
            <label for="contains" class="form-label fw-bold">Contains</label>
                 <textarea  name="contains" id="contains" class="form-control" rows="6"></textarea> 
  			 <!--<script type="text/javascript">CKEDITOR.replace( 'contains' );</script>-->
        </div>
		<div class="col-md-6">
           <label for="usage_method" class="form-label fw-bold">Usage Method</label>
                 <textarea  name="usage_method" id="usage_method" class="form-control" rows="6"></textarea> 
  			 <!--<script type="text/javascript">CKEDITOR.replace( 'usage_method' );</script>-->
        </div>
        <div class="col-md-6">
             <label for="form" class="form-label fw-bold">Form</label>
                <select id="form" name="form" class="form-select" required>
                    <option value="">Select Form</option>
                    <option value="Tablet">Tablet</option>
                    <option value="Capsule">Capsule</option>
                    <option value="Syrup">Syrup</option>
                    <option value="Injection">Injection</option>
                    <option value="Ointment">Ointment</option>
                </select>
        </div>
       
        <div class="col-md-6">
             <label for="status" class="form-label fw-bold">Status</label>
                <select id="status" name="status" class="form-select" required>
                    <option value="Available">Available</option>
                    <option value="Unavailable">Unavailable</option>
                </select>
            
        </div>
        
        
        
    </div>
    <div class="pt-4">
        <input type="hidden" name="useridnew" id="useridnew" value="<?php echo $UserId; ?>" />
        <input type="hidden" id="rolenew" name="rolenew" value="<?php echo $Role; ?>">
        <input type="hidden" id="upd" value="<?php echo isset($_GET['id']) ? $_GET['id'] : ''; ?>">
        <input type="hidden" name="id" id="id">
        <input type="hidden" name="action" id="action" value="<?php echo isset($_GET['id']) ? 'Update' : 'Create'; ?>">
        <button type="submit" class="btn btn-primary me-2"><?php echo isset($_GET['id']) ? 'Update' : 'Save'; ?></button>
        <button type="reset" class="btn btn-label-secondary">Cancel</button>
    </div>
</form>


		</div>
	</div>


<script>
$(document).ready(function () {
    // Handle form submission
    $('form.card-body').on('submit', function (event) {
        event.preventDefault(); // Prevent default form submission

        // Collect form data
        var formData = {
           // JoiningDate: $('#JoiningDate').val(),
            medicine_name: $('#medicine_name').val(),
            contains: $('#contains').val(),
            usage_method: $('#usage_method').val(),
            form: $('#form').val(),
            status: $('#status').val(),
            id: $('#id').val(),
            rolenew: $('#rolenew').val(),
            useridnew: $('#useridnew').val(),
            action: $('#action').val(),
        };

        // Validate required fields
        if (!formData.medicine_name || !formData.form || !formData.status) {
            toastr.error('Name, Form, Status are required.');
            return;
        }

        // Create a FormData object to handle file uploads
        var formDataObj = new FormData();
        for (const key in formData) {
            formDataObj.append(key, formData[key]);
        }

        // AJAX request
        $.ajax({
		url: 'medicines_action.php', // Adjust to your server endpoint
		method: 'POST',
		data: formDataObj,
		contentType: false, // Needed for FormData
		processData: false, // Prevent jQuery from automatically processing data
		success: function (response) {
        // Ensure the response is parsed as JSON
        try {
            var res = typeof response === 'string' ? JSON.parse(response) : response;

            if (res.status === 'Create') {
                toastr.success('Record created successfully.');
                setTimeout(function () {
                    window.location.href = 'medicines_list.php'; // Redirect after success
                }, 1500);
            } else if (res.status === 'Update') {
                toastr.success('Record updated successfully.');
                setTimeout(function () {
                    window.location.href = 'medicines_list.php'; // Redirect after success
                }, 1500);
            } else if (res.status === 'Duplicate') {
                toastr.error('Duplicate entry: Phone already exists.');
            } else if (res.status === 'Error') {
                toastr.error('Error: ' + (res.message || 'Unknown error occurred.'));
            } else {
                toastr.error('Unexpected response status: ' + res.status);
            }
        } catch (e) {
            toastr.error('Error parsing server response.');
            console.error('Parsing error:', e, 'Response:', response);
        }
    },
    error: function (xhr) {
        toastr.error('An error occurred while submitting the form.');
        console.error('AJAX error:', xhr.responseText);
    }
});

    });

    // Load form data for updating if `upd` parameter exists
    var upd = $('#upd').val();
    if (upd) {
        $.ajax({
            url: 'medicines_action.php', // Adjust to your server endpoint
            method: 'POST',
            data: { id: upd, action: 'Select' },
            dataType: 'json',
            success: function (data) {
                // Populate form fields
               
                $('#medicine_name').val(data.MedicineName);
                $('#form').val(data.Form);
                $('#status').val(data.Status);
                $('#contains').val(data.Contains);
                $('#usage_method').val(data.UsageMethod);
				// CKEDITOR.instances.contains.setData(data.Contains);
    //             CKEDITOR.instances.usage_method.setData(data.UsageMethod);
				
				$('#id').val(upd);
                $('#action').val('Update');
				
				
            },
            error: function () {
                toastr.error('Error fetching data for update.');
            },
        });
    }
});

</script>



<?php include('inc/footer.php');?>
	<?php//}?>