<?php
include( 'inc/template.php' );
if (!isset($_SESSION['Role']) || $_SESSION['Role'] !== 'Doctor') {
    // Show an alert if the user is not an employee
    echo "<script>alert('You do not have access to this page.'); window.location.href = 'login.php';</script>";
    exit(); // Stop further execution of the page
}
if ($_SESSION['Role'] == 'Doctor') {
$result = mysqli_query( $conn, "SELECT * FROM Doctors WHERE DoctorID = '$UserId'" );
}
$row = mysqli_fetch_array( $result );
 $profile_picnew = "iadmin/" . $row['ProfilePhoto'];
?>

<div class="container-fluid flex-grow-1 container-p-y">
	<h4 class="py-1 mb-1"><span class="text-muted fw-light">My Profile</h4>
	<div class="row mb-4">
		
		<div class="col-xl-12 col-lg-6 col-md-6 mb-3">
			<div class="card">
			
		        	<form class="card-body" id="doctorprofile" method="post" enctype="multipart/form-data">
				
				<div class="row g-3">
					<div class="col-md-6">
						<label class="form-label" for="multicol-username">Name</label>
						<input type="text" id="Name" name="Name" class="form-control" value="<?php echo htmlspecialchars($row['Name']); ?>" required/>

					</div>
					<div class="col-md-6">
						<label class="form-label" for="multicol-email">Phone</label>
						<input type="tel" id="Phone" name="Phone" class="form-control" pattern="\d{10}" maxlength="10" inputmode="numeric" oninput="this.value=this.value.replace(/[^0-9]/g,'');" value="<?php echo htmlspecialchars($row['Phone']); ?>" required/>
					</div>
					<div class="col-md-6">
						<label class="form-label" for="multicol-username">Email</label>
						<input type="email" id="Email" name="Email" class="form-control" value="<?php echo htmlspecialchars($row['Email']); ?>" required/>
					</div>
					<div class="col-md-6">
						<label class="form-label" for="multicol-username">Address</label>
						<textarea id="Address" name="Address" class="form-control"><?php echo htmlspecialchars($row['Address']); ?></textarea>
					</div>
					<div class="col-md-6">
						<label class="form-label" for="multicol-username">Degree</label>
						<input type="text" id="Degree" name="Degree" class="form-control" value="<?php echo htmlspecialchars($row['Degree']); ?>" />
					</div>
					<div class="col-md-6">
						<label class="form-label" for="multicol-username">Clinic Name</label>
						<input type="text" id="ClinicName" name="ClinicName" class="form-control" value="<?php echo htmlspecialchars($row['ClinicName']); ?>" />
					</div>
					
					<div class="col-md-6">
						<label class="form-label" for="multicol-email">Remarks</label>

						<input type="text" id="ExtraField1" name="ExtraField1"  class="form-control" value="<?php echo htmlspecialchars($row['ExtraField1']); ?>"/>

					</div>
					
					<div class="col-md-6">
						<label class="form-label" for="multicol-email">Username</label>

						<input type="text" id="username" name="username" class="form-control" 
                    oninput="this.value = this.value.replace(/\s/g, '');" placeholder="Enter Username" maxlength="20" required />

					</div>
					
					
					

					<div class="col-md-4">
						<label class="form-label" for="multicol-email">Profile Photo</label>

						 <input  type="file"  name="ProfilePhoto" id="ProfilePhoto" class="form-control" accept="image/png, image/jpeg, image/jpg" onchange="loadFile(event)"  />
							<script>
  														var loadFile = function(event) {
    													var output = document.getElementById('output');
    													output.src = URL.createObjectURL(event.target.files[0]);
    													output.onload = function() {
      													URL.revokeObjectURL(output.src) // free memory
    													}
  														};
													</script>								

					</div>
					<div class="col-md-3">
						

						<img id="output" src="" height="70" width="70"  />
														

					</div>
					

				</div>
				
				
				
				
				
				<div class="pt-4">
					<input type="hidden" id="upd" value="<?php echo htmlspecialchars($row['DoctorID']); ?>">
					<input type="hidden" name="id" id="id">
          <input type="hidden" name="action" id="action" value="Update">
          <button type="submit" class="btn btn-primary me-2"> Update Profile </button>
				
				</div>
			</form>
			
				
			</div>
		</div>
	</div>



</div>
<script>
$(document).ready(function () {
    // Handle form submission
    $('form#doctorprofile').on('submit', function (event) {
        event.preventDefault(); // Prevent default form submission

        // Collect form data
        var formData = {
            Name: $('#Name').val(),
            Phone: $('#Phone').val(),
            Email: $('#Email').val(),
            Address: $('#Address').val(),
            Degree: $('#Degree').val(),
            ClinicName: $('#ClinicName').val(),
            ExtraField1: $('#ExtraField1').val(),
            username: $('#username').val(),
            id: $('#id').val(),
            action: $('#action').val(),
        };

        // Validate required fields
        if (!formData.Name || !formData.Phone || !formData.Email || !formData.username) {
            toastr.error('Name, Phone, and Email are required.');
            return;
        }

        // Create a FormData object to handle file uploads
        var formDataObj = new FormData();
        for (const key in formData) {
            formDataObj.append(key, formData[key]);
        }

        // Append file if provided
        var profilePhoto = $('#ProfilePhoto').prop('files')[0];
        if (profilePhoto) {
            formDataObj.append('ProfilePhoto', profilePhoto);
        }

        // AJAX request
        $.ajax({
            url: 'doctor_profile_action.php', // Adjust to your server endpoint
            method: 'POST',
            data: formDataObj,
            contentType: false, // Needed for FormData
            processData: false, // Prevent jQuery from automatically processing data
            success: function (response) {
                try {
                    // Parse response
                    var res = typeof response === 'string' ? JSON.parse(response) : response;

                    // Handle different statuses
                     if (res.status === 'Update') {
                        toastr.success('Record updated successfully.');
                        setTimeout(function () {
                            window.location.href = 'my_profile.php'; // Redirect after success
                        }, 1500);
                    } else if (res.status === 'Duplicate') {
                        toastr.error('Duplicate entry: Phone or Email already exists.');
                    } else if (res.status === 'Error') {
                        toastr.error('Error: ' + (res.message || 'Unknown error occurred.'));
                    } else {
                        toastr.error('Unexpected response status: ' + res.status);
                    }
                } catch (e) {
                    toastr.error('Error parsing server response.');
                    console.error('Parsing error:', e, 'Response:', response);
                }
            },
            error: function (xhr) {
                toastr.error('An error occurred while submitting the form.');
                console.error('AJAX error:', xhr.responseText);
            },
        });
    });

    // Load form data for updating if `upd` parameter exists
    var upd = $('#upd').val();
    if (upd) {
        $.ajax({
            url: 'doctor_profile_action.php', // Adjust to your server endpoint
            method: 'POST',
            data: { id: upd, action: 'Select' },
            dataType: 'json',
            success: function (data) {
                // Populate form fields
                $('#Name').val(data.Name);
                $('#Phone').val(data.Phone);
                $('#Email').val(data.Email);
                $('#Address').val(data.Address);
                $('#Degree').val(data.Degree);
                $('#ClinicName').val(data.ClinicName);
                $('#ExtraField1').val(data.ExtraField1);
                $('#username').val(data.Username);
                $('#id').val(upd);
                $('#action').val('Update');

                // Show existing profile photo if available
                if (data.ProfilePhoto) {
                    $('#output').attr('src', data.ProfilePhoto).show();
                } else {
                    $('#output').attr('src', '').hide();
                }
            },
            error: function () {
                toastr.error('Error fetching data for update.');
            },
        });
    }

    // Image preview
    $('#ProfilePhoto').on('change', function (event) {
        var output = $('#output');
        var file = event.target.files[0];
        if (file) {
            output.attr('src', URL.createObjectURL(file)).show();
            output.on('load', function () {
                URL.revokeObjectURL(output.attr('src')); // Free memory
            });
        } else {
            output.attr('src', '').hide();
        }
    });
});

</script>

<?php include('inc/footer.php');?>
<?php//}?>