<?php
include( 'inc/template.php' );

// Function to handle main operations
//function main() {
//	global $conn;
	
	?>

	

	<div class="container-fluid flex-grow-1 container-p-y">
		<h4 class="py-0 mb-2"><span class="text-muted fw-light"><?php echo isset($_GET['id']) ? 'Update Patient' : 'Add New Patient'; ?></span></h4>
		<button type="button" class="btn btn-sm btn-primary" onclick="window.location.href='patient_list.php';">
    <span class="ti-xs ti ti-chevron-left me-1"></span> Back to List
</button>
	


		<div class="card mb-4">
<script type="text/javascript" src="ckeditor/ckeditor.js"></script>
			<form class="card-body" method="post" enctype="multipart/form-data">
    <div class="row g-3">
        <input type="hidden" name="DoctorID" id="DoctorID" value="<?php echo ($_SESSION['Role'] == 'Doctor') ? $UserId : $DoctorID; ?>" />

       
        <div class="col-md-6">
            <label class="form-label" for="PatientName">Patient Name</label>
            <input type="text" id="PatientName" name="PatientName" class="form-control" required />
        </div>
        <div class="col-md-6">
            <label class="form-label" for="Phone">Phone</label>
            <input type="tel" id="Phone" name="Phone" class="form-control" pattern="\d{10}" maxlength="10" inputmode="numeric" oninput="this.value=this.value.replace(/[^0-9]/g,'');" required/>
        </div>
        <div class="col-md-6">
            <label class="form-label" for="CurrentMedicines">Current Medicines</label>
			 <textarea  name="CurrentMedicines" id="CurrentMedicines" class="form-control" rows="4"></textarea> 
  			 <!--<script type="text/javascript">CKEDITOR.replace( 'CurrentMedicines' );</script>-->
            
        </div>
        <div class="col-md-6">
            <label class="form-label" for="SpecialNote">Special Note</label>
			<textarea  name="SpecialNote" id="SpecialNote" class="form-control" rows="4"></textarea> 
			<!--<script type="text/javascript">CKEDITOR.replace( 'SpecialNote' );</script>-->
            
        </div>
        <div class="col-md-3">
            <label class="form-label" for="DOB">DOB</label>
            <input type="date" id="DOB" name="DOB" class="form-control" required max="<?php echo date('Y-m-d'); ?>" />
        </div>
        <div class="col-md-3">
            <label class="form-label" for="Gender">Gender</label>
            <select class="form-select" id="Gender" name="Gender">
                <option value="">Select...</option>
                <option value="Male">Male</option>
                <option value="Female">Female</option>
                <option value="Other">Other</option>
            </select>
        </div>
        
        <div class="col-md-4">
            <label class="form-label" for="ProfilePhoto">Profile Photo</label>
            <input type="file" name="ProfilePhoto" id="ProfilePhoto" class="form-control" accept="image/png, image/jpeg, image/jpg" />
        </div>
        <div class="col-md-3">
            <img id="output" src="" height="70" width="70" style="display: none;" />
        </div>
    </div>
    <div class="pt-4">
        <input type="hidden" id="useridnew" name="useridnew" value="<?php echo $UserId; ?>">
        <input type="hidden" id="rolenew" name="rolenew" value="<?php echo $Role; ?>">
        <input type="hidden" id="upd" value="<?php echo isset($_GET['id']) ? $_GET['id'] : ''; ?>">
        <input type="hidden" name="id" id="id">
        <input type="hidden" name="action" id="action" value="<?php echo isset($_GET['id']) ? 'Update' : 'Create'; ?>">
        <button type="submit" class="btn btn-primary me-2"><?php echo isset($_GET['id']) ? 'Update' : 'Save'; ?></button>
        <button type="reset" class="btn btn-label-secondary">Cancel</button>
    </div>
</form>


		</div>
	</div>


<script>
$(document).ready(function () {
    // Handle form submission
    $('form.card-body').on('submit', function (event) {
        event.preventDefault(); // Prevent default form submission

        // Collect form data
        var formData = {
            DoctorID: $('#DoctorID').val(),
            PatientName: $('#PatientName').val(),
            Phone: $('#Phone').val(),
            DOB: $('#DOB').val(),
            Gender: $('#Gender').val(),
            CurrentMedicines: $('#CurrentMedicines').val(),
            SpecialNote: $('#SpecialNote').val(),
            ProfilePhoto: $('#ProfilePhoto').prop('files')[0], // File input
            id: $('#id').val(),
            rolenew: $('#rolenew').val(),
            useridnew: $('#useridnew').val(),
            action: $('#action').val(),
        };

        // Validate required fields
        if (!formData.DoctorID || !formData.PatientName || !formData.Phone) {
            toastr.error('Doctor, Patient, Phone are required.');
            return;
        }

        // Create a FormData object to handle file uploads
        var formDataObj = new FormData();
        for (const key in formData) {
            formDataObj.append(key, formData[key]);
        }

        // AJAX request
        $.ajax({
		url: 'patient_action.php', // Adjust to your server endpoint
		method: 'POST',
		data: formDataObj,
		contentType: false, // Needed for FormData
		processData: false, // Prevent jQuery from automatically processing data
		success: function (response) {
        // Ensure the response is parsed as JSON
        try {
            var res = typeof response === 'string' ? JSON.parse(response) : response;

            if (res.status === 'Create') {
                toastr.success('Record created successfully.');
                setTimeout(function () {
                    window.location.href = 'patient_list.php'; // Redirect after success
                }, 1500);
            } else if (res.status === 'Update') {
                toastr.success('Record updated successfully.');
                setTimeout(function () {
                    window.location.href = 'patient_list.php'; // Redirect after success
                }, 1500);
            } else if (res.status === 'Duplicate') {
                toastr.error('Duplicate entry: Phone already exists.');
            } else if (res.status === 'Error') {
                toastr.error('Error: ' + (res.message || 'Unknown error occurred.'));
            } else {
                toastr.error('Unexpected response status: ' + res.status);
            }
        } catch (e) {
            toastr.error('Error parsing server response.');
            console.error('Parsing error:', e, 'Response:', response);
        }
    },
    error: function (xhr) {
        toastr.error('An error occurred while submitting the form.');
        console.error('AJAX error:', xhr.responseText);
    }
});

    });

    // Load form data for updating if `upd` parameter exists
    var upd = $('#upd').val();
    if (upd) {
        $.ajax({
            url: 'patient_action.php', // Adjust to your server endpoint
            method: 'POST',
            data: { id: upd, action: 'Select' },
            dataType: 'json',
            success: function (data) {
                // Populate form fields
                $('#DoctorID').val(data.DoctorID);
                $('#PatientName').val(data.PatientName);
                $('#Phone').val(data.Phone);
                $('#DOB').val(data.DOB);
                $('#SpecialNote').val(data.SpecialNote);
                $('#Gender').val(data.Gender);
                $('#CurrentMedicines').val(data.CurrentMedicines);
				// CKEDITOR.instances.CurrentMedicines.setData(data.CurrentMedicines);
    //             CKEDITOR.instances.SpecialNote.setData(data.SpecialNote);
				
				$('#id').val(upd);
                $('#action').val('Update');
				
				if (data.ProfilePhoto) {
                $('#output').attr('src', data.ProfilePhoto).show(); // Display the existing image
            } else {
                $('#output').attr('src', '').hide(); // Hide if no photo
            }
            },
            error: function () {
                toastr.error('Error fetching data for update.');
            },
        });
    }
});

</script>



<?php include('inc/footer.php');?>
	<?php//}?>